/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'bg' ]: { dictionary, getPluralForm } } = {"bg":{"dictionary":{"Special characters":"Специални символи","Category":"Категория","All":"Всички","Arrows":"Стрелки","Currency":"Валутни символи","Latin":"Латиница","Mathematical":"Математически символи","Text":"Текст","leftwards simple arrow":"обикновена стрелка наляво","rightwards simple arrow":"обикновена стрелка надясно","upwards simple arrow":"обикновена стрелка нагоре","downwards simple arrow":"обикновена стрелка надолу","leftwards double arrow":"двойна стрелка наляво","rightwards double arrow":"двойна стрелка надясно","upwards double arrow":"двойна стрелка нагоре","downwards double arrow":"двойна стрелка надолу","leftwards dashed arrow":"пунктирана стрелка наляво","rightwards dashed arrow":"пунктирана стрелка надясно","upwards dashed arrow":"пунктирана стрелка нагоре","downwards dashed arrow":"пунктирана стрелка надолу","leftwards arrow to bar":"стрелка наляво към лентата\n","rightwards arrow to bar":"стрелка надясно към лентата","upwards arrow to bar":"стрелка нагоре към лентата","downwards arrow to bar":"стрелка надолу към лентата","up down arrow with base":"стрелка нагоре надолу с основа","back with leftwards arrow above":"назад със стрелка наляво отгоре","end with leftwards arrow above":"завършва със стрелка наляво отгоре","on with exclamation mark with left right arrow above":"върху с удивителен знак със стрелка наляво надясно над","soon with rightwards arrow above":"скоро със стрелка надясно отгоре","top with upwards arrow above":"отгоре със стрелка нагоре отгоре","Dollar sign":"Символ на долар","Euro sign":"Символ на евро","Yen sign":"Символ на йена","Pound sign":"Символ на лира стерлинг","Cent sign":"Символ на цент","Euro-currency sign":"Символ на евровалута","Colon sign":"Символ двоеточие","Cruzeiro sign":"Символ Крузейро","French franc sign":"Символ на френски франк","Lira sign":"Символ на лира","Currency sign":"Символ на валута","Bitcoin sign":"Символ на Биткойн","Mill sign":"Символ на мелница","Naira sign":"Символ Найра","Peseta sign":"Символ на песета","Rupee sign":"Символ на рупия","Won sign":"Символ на уон","New sheqel sign":"Символ на нов шекел","Dong sign":"Символ на донг","Kip sign":"Символ на кип","Tugrik sign":"Символ на тугрик","Drachma sign":"Символ на драхма","German penny sign":"Символ на немско пени","Peso sign":"Символ на песо","Guarani sign":"Символ на гуарани","Austral sign":"Символ на аустрал","Hryvnia sign":"Символ на гривнa","Cedi sign":"Символ Седи","Livre tournois sign":"Символ на ливр турноа","Spesmilo sign":"Символ на спесмило","Tenge sign":"Символ на тенге","Indian rupee sign":"Символ на индийска рупия","Turkish lira sign":"Символ на турска лира","Nordic mark sign":"Символ на скандинавски знак","Manat sign":"Символ на манат","Ruble sign":"Символ на рубла","Latin capital letter a with macron":"Главна латинска буква „a“ с макрон","Latin small letter a with macron":"Малка латинска буква „a“ с макрон","Latin capital letter a with breve":"Главна латинска буква „a“ с бреве","Latin small letter a with breve":"Малка латинска буква „а“ с бреве","Latin capital letter a with ogonek":"Главна латинска буква „a“ с огонек","Latin small letter a with ogonek":"Малка латинска буква „a“ с огонек","Latin capital letter c with acute":"Главна латинска буква „c“ с акут","Latin small letter c with acute":"Малка латинска буква „c“ с акут","Latin capital letter c with circumflex":"Главна латинска буква „c“ с циркумфлекс","Latin small letter c with circumflex":"Малка латинска буква „c“ с циркумфлекс","Latin capital letter c with dot above":"Главна латинска буква „c“ с точка отгоре","Latin small letter c with dot above":"Малка латинска буква „c“ с точка отгоре","Latin capital letter c with caron":"Главна латинска буква „c“ с карон","Latin small letter c with caron":"Mалка латинска буква „c“ с карон","Latin capital letter d with caron":"Главна латинска буква d с карон","Latin small letter d with caron":"Малка латинска буква d с карон","Latin capital letter d with stroke":"Главна латинска буква d с черта","Latin small letter d with stroke":"Малк а латинска буква d с черта","Latin capital letter e with macron":"Главна латинска буква „e“ с макрон","Latin small letter e with macron":"Малка латинска буква „e“ с макрон","Latin capital letter e with breve":"Главна латинска буква „e“ с бреве","Latin small letter e with breve":"Малка латинска буква „e“ с бреве","Latin capital letter e with dot above":"Главна латинска буква „e“ с точка отгоре","Latin small letter e with dot above":"Малка латинска буква „e“ с точка отгоре","Latin capital letter e with ogonek":"Главна латинска буква „e“ с огонек","Latin small letter e with ogonek":"Малка латинска буква „e“ с огонек","Latin capital letter e with caron":"Главна латинска буква „e“ с карон","Latin small letter e with caron":"Малка латинска буква „e“ с карон","Latin capital letter g with circumflex":"Главна латинска буква „g“ с циркумфлекс","Latin small letter g with circumflex":"Малка латинска буква „g“ с циркумфлекс","Latin capital letter g with breve":"Главна латинска буква „g“ с бреве","Latin small letter g with breve":"Малка латинска буква „g“ с бреве","Latin capital letter g with dot above":"Главна латинска буква „g“ с точка отгоре","Latin small letter g with dot above":"Малка латинска буква „g“ с точка отгоре","Latin capital letter g with cedilla":"Главна латинска буква „g“ със седил","Latin small letter g with cedilla":"Малка латинска буква „g“ със седил","Latin capital letter h with circumflex":"Главна латинска буква h с циркумфлекс","Latin small letter h with circumflex":"Малка латинска буква h с циркумфлекс","Latin capital letter h with stroke":"Главна латинска буква h с черта","Latin small letter h with stroke":"Малка латинска буква h с черта","Latin capital letter i with tilde":"Главна латинска буква i с тилда","Latin small letter i with tilde":"Малка латинска буква i с тилда","Latin capital letter i with macron":"Главна латинска буква i с макрон","Latin small letter i with macron":"Малка латинска буква i с макрон","Latin capital letter i with breve":"Главна латинска буква i с бреве","Latin small letter i with breve":"Малка латинска буква i с бреве","Latin capital letter i with ogonek":"Главна латинска буква i с ogonek","Latin small letter i with ogonek":"Малка латинска буква i с огонек","Latin capital letter i with dot above":"Главна латинска буква i с точка отгоре","Latin small letter dotless i":"Малка латинска буква без точка i","Latin capital ligature ij":"Главна латинска лигатура ij","Latin small ligature ij":"Mалка латинска лигатура ij","Latin capital letter j with circumflex":"Главна латинска буква j с циркумфлекс","Latin small letter j with circumflex":"Малка латинска буква j с циркумфлекс","Latin capital letter k with cedilla":"Главна латинска буква k със седил","Latin small letter k with cedilla":"Mалка lатинска буква k със седил","Latin small letter kra":"Mалка латинска буква kra","Latin capital letter l with acute":"Главна латинска буква l с акут","Latin small letter l with acute":"Mалка латинска буква l с акут","Latin capital letter l with cedilla":"Главна латинска буква l със седил","Latin small letter l with cedilla":"Малка латинска буква l със седил","Latin capital letter l with caron":"Главна латинска буква l с карон","Latin small letter l with caron":"Малка латинска буква l с карон","Latin capital letter l with middle dot":"Главна латинска буква l със средна точка","Latin small letter l with middle dot":"Малка латинска буква l със средна точка","Latin capital letter l with stroke":"Главна латинска буква l с черта","Latin small letter l with stroke":"Малка латинска буква l с черта","Latin capital letter n with acute":"Главна латинска буква n с акут","Latin small letter n with acute":"Малка латинска буква n с акут","Latin capital letter n with cedilla":"Главна латинска буква n със седил","Latin small letter n with cedilla":"Малка латинска буква n със седил","Latin capital letter n with caron":"Главна латинска буква n с карон","Latin small letter n with caron":"Малка латинска буква n с карон","Latin small letter n preceded by apostrophe":"Малка латинска буква n, предшествана от апостроф","Latin capital letter eng":"Главна латинска буква eng","Latin small letter eng":"Малка латинска буква eng","Latin capital letter o with macron":"Главна латинска буква „o“ с макрон","Latin small letter o with macron":"Малка латинска буква „o“ с макрон","Latin capital letter o with breve":"Главна латинска буква „o“ с бреве","Latin small letter o with breve":"Малка латинска буква „o“ с бреве","Latin capital letter o with double acute":"Главна латинска буква „o“ с двоен акут","Latin small letter o with double acute":"Малка латинска буква „o“ с двоен акут","Latin capital ligature oe":"Главна латинска лигатура oe","Latin small ligature oe":"Малка латинска лигатура oe","Latin capital letter r with acute":"Главна латинска буква r с акут","Latin small letter r with acute":"Малка латинска буква r с акут","Latin capital letter r with cedilla":"Главна латинска буква r със седил","Latin small letter r with cedilla":"Малка латинска буква r със седил","Latin capital letter r with caron":"Главна латинска буква r с карон","Latin small letter r with caron":"Малка латинска буква r с карон","Latin capital letter s with acute":"Главна латинска буква s с акут","Latin small letter s with acute":"Малка латинска буква s с акут","Latin capital letter s with circumflex":"Главна латинска буква s с циркумфлекс","Latin small letter s with circumflex":"Малка латинска буква s с циркумфлекс","Latin capital letter s with cedilla":"Главна латинска буква s със седил","Latin small letter s with cedilla":"Малка латинска буква s със седил","Latin capital letter s with caron":"Главна латинска буква s с карон","Latin small letter s with caron":"Малка латинска буква s с карон","Latin capital letter t with cedilla":"Главна латинска буква t със седил","Latin small letter t with cedilla":"Малка латинска буква t със седил","Latin capital letter t with caron":"Главна латинска буква t с карон","Latin small letter t with caron":"Малка латинска буква t с карон","Latin capital letter t with stroke":"Главна латинска буква t с черта","Latin small letter t with stroke":"Малка латинска буква t с черта","Latin capital letter u with tilde":"Главна латинска буква u с тилда","Latin small letter u with tilde":"Малка латинска буква u с тилда","Latin capital letter u with macron":"Главна латинска буква u с макрон","Latin small letter u with macron":"Малка латинска буква u с макрон","Latin capital letter u with breve":"Главна латинска буква u с бреве","Latin small letter u with breve":"Малка латинска буква u с бреве","Latin capital letter u with ring above":"Главна латинска буква u с пръстен отгоре","Latin small letter u with ring above":"Малка латинска буква u с пръстен отгоре","Latin capital letter u with double acute":"Главна латинска буква u с двоен акут","Latin small letter u with double acute":"Малка латинска буква u с двоен акут","Latin capital letter u with ogonek":"Главна латинска буква u с огонек","Latin small letter u with ogonek":"Малка латинска буква u с огонек","Latin capital letter w with circumflex":"Главна латинска буква w с циркумфлекс","Latin small letter w with circumflex":"Малка латинска буква w с циркумфлекс","Latin capital letter y with circumflex":"Главна латинска буква y с циркумфлекс","Latin small letter y with circumflex":"Малка латинска буква y с циркумфлекс","Latin capital letter y with diaeresis":"Главна латинска буква y с диареза","Latin capital letter z with acute":"Главна латинска буква z с акут","Latin small letter z with acute":"Малка латинска буква z с акут","Latin capital letter z with dot above":"Главна латинска буква z с точка отгоре","Latin small letter z with dot above":"Малка латинска буква z с точка отгоре","Latin capital letter z with caron":"Главна латинска буква z с карон","Latin small letter z with caron":"Малка латинска буква z с карон","Latin small letter long s":"Малка латинска буква дълго s","Less-than sign":"Знак „по-малко от“ ","Greater-than sign":"Знак „по-голямо от“","Less-than or equal to":"По-малко или равно на","Greater-than or equal to":"По-голямо или равно на","En dash":"Ен тире","Em dash":"Ем тире","Macron":"Макрон","Overline":"Черта над буква","Degree sign":"Знак за степен","Minus sign":"Знак минус","Plus-minus sign":"Знак плюс-минус","Division sign":"Знак за деление","Fraction slash":"Дробна наклонена черта","Multiplication sign":"Знак за умножение","Latin small letter f with hook":"Малка латинска буква f с кукичка","Integral":"Интеграл","N-ary summation":"N-арно сумиране","Infinity":"Безкрайност","Square root":"Корен квадратен","Tilde operator":"Оператор тилда","Approximately equal to":"Приблизително равно на","Almost equal to":"Почти равно на","Not equal to":"Не е равно на","Identical to":"Идентично на","Element of":"Елемент на","Not an element of":"Не е елемент от","Contains as member":"Съдържа като член","N-ary product":"N-арен продукт","Logical and":"Логично и","Logical or":"Логично или","Not sign":"Знак „не“","Intersection":"Пресечна точка","Union":"Съюз","Partial differential":"Частичен диференциал","For all":"За всички","There exists":"Съществува","Empty set":"Празен комплект","Nabla":"Набла","Asterisk operator":"Оператор звездичка","Proportional to":"Пропорционално на","Angle":"Ъгъл","Vulgar fraction one quarter":"Проста дроб една четвърт","Vulgar fraction one half":"Проста дроб една половина","Vulgar fraction three quarters":"Проста дроб три четвърти","Single left-pointing angle quotation mark":"\nЕдинична сочеща наляво ъглова кавичка","Single right-pointing angle quotation mark":"Единична сочеща надясно ъглова кавичка","Left-pointing double angle quotation mark":"Сочеща наляво двойна ъглова кавичка","Right-pointing double angle quotation mark":"Сочеща надясно двойна ъглова кавичка","Left single quotation mark":"Лява единична кавичка","Right single quotation mark":"Дясна единична кавичка","Left double quotation mark":"Лява двойна кавичка","Right double quotation mark":"Дясна двойна кавичка","Single low-9 quotation mark":"Единична ниска 9-кавичка","Double low-9 quotation mark":"Двойна ниска 9-кавичка","Inverted exclamation mark":"Обърнат удивителен знак","Inverted question mark":"Обърнат въпросителен знак","Two dot leader":"Водач с две точки","Horizontal ellipsis":"Хоризонтална елипса","Double dagger":"Двойна кама","Per mille sign":"Знак за промили","Per ten thousand sign":"Символ на десет хиляди","Double exclamation mark":"Двоен удивителен знак","Question exclamation mark":"Знак въпросителна удивителна","Exclamation question mark":"Знак удивителна въпросителна","Double question mark":"Двоен въпросителен знак","Copyright sign":"Знак за авторски права","Registered sign":"Регистриран знак","Trade mark sign":"Знак за търговска марка","Section sign":"Знак за раздел","Paragraph sign":"Знак за параграф","Reversed paragraph sign":"Обърнат знак за параграф"},getPluralForm(n){return (n != 1);}}};
e[ 'bg' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'bg' ].dictionary = Object.assign( e[ 'bg' ].dictionary, dictionary );
e[ 'bg' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
