/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'cs' ]: { dictionary, getPluralForm } } = {"cs":{"dictionary":{"Special characters":"Speciální znaky","Category":"Kategorie","All":"Vše","Arrows":"Šipky","Currency":"Měna","Latin":"Latina","Mathematical":"Matematické","Text":"Text","leftwards simple arrow":"jednoduchá šipka doleva","rightwards simple arrow":"jednoduchá šipka doprava","upwards simple arrow":"jednoduchá šipka nahoru","downwards simple arrow":"jednoduchá šipka dolů","leftwards double arrow":"dvojitá šipka doleva","rightwards double arrow":"dvojitá šipka doprava","upwards double arrow":"dvojitá šipka nahoru","downwards double arrow":"dvojitá šipka dolů","leftwards dashed arrow":"přerušovaná šipka doleva","rightwards dashed arrow":"čárkovaná šipka doprava","upwards dashed arrow":"čárkovaná šipka nahoru","downwards dashed arrow":"přerušovaná šipka dolů","leftwards arrow to bar":"šipka doleva do svislé čáry","rightwards arrow to bar":"šipka doprava do svislé čáry","upwards arrow to bar":"šipka nahoru do svislé čáry","downwards arrow to bar":"šipka dolů do svislé čáry","up down arrow with base":"Šipka nahoru-dolů od základny","back with leftwards arrow above":"šipka zpět","end with leftwards arrow above":"šipka konec","on with exclamation mark with left right arrow above":"ON s vykřičníkem se šipkou doleva doprava nahoru","soon with rightwards arrow above":"brzy se šipkou doprava nahoru","top with upwards arrow above":"TOP se šipkou nahoru","Dollar sign":"Znak Dolar","Euro sign":"Znak Euro","Yen sign":"Znak Jen","Pound sign":"Znak Libra","Cent sign":"Znak cent","Euro-currency sign":"Mena Euro","Colon sign":"dvojtečka","Cruzeiro sign":"Měna Cruzeiro","French franc sign":"Měna Francouzský Frank","Lira sign":"Měna Lira","Currency sign":"Znak měny","Bitcoin sign":"Měna Bitcoin","Mill sign":"Znak Mill","Naira sign":"Znak Naira","Peseta sign":"Znak Peseta","Rupee sign":"Znak Rupee","Won sign":"Znak Won","New sheqel sign":"Nový znak šekel","Dong sign":"Znak Dong","Kip sign":"Znak Kip","Tugrik sign":"Znak Tugrik","Drachma sign":"Znak Drachma","German penny sign":"Německá penny","Peso sign":"Znak Peso","Guarani sign":"Znak Guarani","Austral sign":"Znak Austral","Hryvnia sign":"Znak Hryvnia","Cedi sign":"Znak Cedi","Livre tournois sign":"Znak Livre tournois","Spesmilo sign":"Znak Spesmilo","Tenge sign":"Znak Tenge","Indian rupee sign":"Znak Indická rupia","Turkish lira sign":"Znak Turecká líra","Nordic mark sign":"Znak Nórska marka","Manat sign":"Znak Manat","Ruble sign":"Znak Ruble","Latin capital letter a with macron":"Latinské velké písmeno a s čárou","Latin small letter a with macron":"Latinské malé písmeno a s čárou","Latin capital letter a with breve":"Latinské velké písmeno a s háčkem","Latin small letter a with breve":"Latinské malé písmeno a s háčkem","Latin capital letter a with ogonek":"Latinské velké písmeno a s háčkem","Latin small letter a with ogonek":"Latinské malé písmeno a s háčkem","Latin capital letter c with acute":"Latinské velké písmeno c s čárkou","Latin small letter c with acute":"Latinské malé písmeno c s čárkou","Latin capital letter c with circumflex":"Latinské velké písmeno c s obráceným háčkem","Latin small letter c with circumflex":"Latinské malé písmeno c s obráceným háčkem","Latin capital letter c with dot above":"Latinské velké písmeno c s tečkou nad znakem","Latin small letter c with dot above":"Latinské malé písmeno c s tečkou nad znakem","Latin capital letter c with caron":"Latinské veľké písmeno c s mäkčeňom","Latin small letter c with caron":"Latinské malé písmeno c s háčkem","Latin capital letter d with caron":"Latinské velké písmeno d s háčkem","Latin small letter d with caron":"Latinské malé písmeno d s háčkem","Latin capital letter d with stroke":"Latinské velké písmeno d s přeškrtnutím","Latin small letter d with stroke":"Latinské malé písmeno d s přeškrtnutím","Latin capital letter e with macron":"Latinské velké písmeno e s čárou","Latin small letter e with macron":"Latinské malé písmeno e s čárou","Latin capital letter e with breve":"Latinské velké písmeno e s háčkem","Latin small letter e with breve":"Latinské malé písmeno e s háčkem","Latin capital letter e with dot above":"Latinské velké písmeno e s tečkou nad znakem","Latin small letter e with dot above":"Latinské malé písmeno e s tečkou nad znakem","Latin capital letter e with ogonek":"Latinské velké písmeno e s háčkem","Latin small letter e with ogonek":"Latinské malé písmeno e s háčkem","Latin capital letter e with caron":"Latinské velké písmeno e s háčkem","Latin small letter e with caron":"Latinské malé písmeno e s háčkem","Latin capital letter g with circumflex":"Latinské velké písmeno g s obráceným háčkem","Latin small letter g with circumflex":"Latinské malé písmeno g s obráceným háčkem","Latin capital letter g with breve":"Latinské velké písmeno g s háčkem","Latin small letter g with breve":"Latinské malé písmeno g s háčkem","Latin capital letter g with dot above":"Latinské velké písmeno g s tečkou nad znakem","Latin small letter g with dot above":"Latinské malé písmeno g s tečkou nad znakem","Latin capital letter g with cedilla":"Latinské velké písmeno g s háčkem","Latin small letter g with cedilla":"Latinské malé písmeno g s háčkem","Latin capital letter h with circumflex":"Latinské velké písmeno h s obráceným háčkem","Latin small letter h with circumflex":"Latinské malé písmeno h s obráceným háčkem","Latin capital letter h with stroke":"Latinské velké písmeno h s přeškrtnutím","Latin small letter h with stroke":"Latinské malé písmeno h s přeškrtnutím","Latin capital letter i with tilde":"Latinské velké písmeno i s vlnovkou","Latin small letter i with tilde":"Latinské malé písmeno i s vlnovkou","Latin capital letter i with macron":"Latinské velké písmeno i s čárou","Latin small letter i with macron":"Latinské malé písmeno i s čárou","Latin capital letter i with breve":"Latinské velké písmeno i s háčkem","Latin small letter i with breve":"Latinské malé písmeno i s háčkem","Latin capital letter i with ogonek":"Latinské velké písmeno i s háčkem","Latin small letter i with ogonek":"Latinské malé písmeno i s háčkem","Latin capital letter i with dot above":"Latinské velké písmeno i s tečkou nad znakem","Latin small letter dotless i":"Latinské malé písmeno i bez tečky","Latin capital ligature ij":"Latinský velký znak ligatury ij","Latin small ligature ij":"Latinský malý znak ligatury ij","Latin capital letter j with circumflex":"Latinské velké písmeno j s obráceným háčkem","Latin small letter j with circumflex":"Latinské malé písmeno j s obráceným háčkem","Latin capital letter k with cedilla":"Latinské velké písmeno k s háčkem","Latin small letter k with cedilla":"Latinské malé písmeno k s háčkem","Latin small letter kra":"Latinský malý znak Kra","Latin capital letter l with acute":"Latinské velké písmeno l s čárkou","Latin small letter l with acute":"Latinské malé písmeno l s čárkou","Latin capital letter l with cedilla":"Latinské velké písmeno l s háčkem","Latin small letter l with cedilla":"Latinské malé písmeno l s háčkem","Latin capital letter l with caron":"Latinské velké písmeno l s háčkem","Latin small letter l with caron":"Latinské malé písmeno l s háčkem","Latin capital letter l with middle dot":"Latinské velké písmeno l s tečkou uprostřed","Latin small letter l with middle dot":"Latinské malé písmeno l s tečkou uprostřed","Latin capital letter l with stroke":"Latinské velké písmeno l s přeškrtnutím","Latin small letter l with stroke":"Latinské malé písmeno l s přeškrtnutím","Latin capital letter n with acute":"Latinské velké písmeno n s čárkou","Latin small letter n with acute":"Latinské malé písmeno n s čárkou","Latin capital letter n with cedilla":"Latinské velké písmeno n s háčkem","Latin small letter n with cedilla":"Latinské malé písmeno n s háčkem","Latin capital letter n with caron":"Latinské velké písmeno n s háčkem","Latin small letter n with caron":"Latinské malé písmeno n s háčkem","Latin small letter n preceded by apostrophe":"Latinské malé písmeno n s apostrofem","Latin capital letter eng":"Latinské velké písmeno Eng","Latin small letter eng":"Latinské malé písmeno Eng","Latin capital letter o with macron":"Latinské velké písmeno o s čárou","Latin small letter o with macron":"Latinské malé písmeno o s čárou","Latin capital letter o with breve":"Latinské velké písmeno o s háčkem","Latin small letter o with breve":"Latinské malé písmeno o s háčkem","Latin capital letter o with double acute":"Latinské velké písmeno o s čárkou","Latin small letter o with double acute":"Latinské malé písmeno o s čárkou","Latin capital ligature oe":"Latinský velký znak ligatury oe","Latin small ligature oe":"Latinský malý znak ligatury oe","Latin capital letter r with acute":"Latinské velké písmeno r s čárkou","Latin small letter r with acute":"Latinské malé písmeno r s čárkou","Latin capital letter r with cedilla":"Latinské velké písmeno r s háčkem","Latin small letter r with cedilla":"Latinské malé písmeno r s háčkem","Latin capital letter r with caron":"Latinské velké písmeno r s háčkem","Latin small letter r with caron":"Latinské malé písmeno r s háčkem","Latin capital letter s with acute":"Latinské velké písmeno s s čárkou","Latin small letter s with acute":"Latinské malé písmeno s s čárkou","Latin capital letter s with circumflex":"Latinské velké písmeno s s obráceným háčkem","Latin small letter s with circumflex":"Latinské malé písmeno s s obráceným háčkem","Latin capital letter s with cedilla":"Latinské velké písmeno s s háčkem","Latin small letter s with cedilla":"Latinské malé písmeno s s háčkem","Latin capital letter s with caron":"Latinské velké písmeno s s háčkem","Latin small letter s with caron":"Latinské malé písmeno s s háčkem","Latin capital letter t with cedilla":"Latinské velké písmeno t s háčkem","Latin small letter t with cedilla":"Latinské malé písmeno t s háčkem","Latin capital letter t with caron":"Latinské velké písmeno t s háčkem","Latin small letter t with caron":"Latinské malé písmeno t s háčkem","Latin capital letter t with stroke":"Latinské velké písmeno t s přeškrtnutím","Latin small letter t with stroke":"Latinské malé písmeno t s přeškrtnutím","Latin capital letter u with tilde":"Latinské velké písmeno u s vlnovkou","Latin small letter u with tilde":"Latinské malé písmeno u s vlnovkou","Latin capital letter u with macron":"Latinské velké písmeno u s čárou","Latin small letter u with macron":"Latinské malé písmeno o s čárou","Latin capital letter u with breve":"Latinské velké písmeno u s háčkem","Latin small letter u with breve":"Latinské malé písmeno u s háčkem","Latin capital letter u with ring above":"Latinské velké písmeno u s kroužkem nad znakem","Latin small letter u with ring above":"Latinské malé písmeno u s kroužkem nad znakem","Latin capital letter u with double acute":"Latinské velké písmeno u s dvojitým akcentu","Latin small letter u with double acute":"Latinské malé písmeno u s dvojitým akcentu","Latin capital letter u with ogonek":"Latinské velké písmeno u s háčkem","Latin small letter u with ogonek":"Latinské malé písmeno u s háčkem","Latin capital letter w with circumflex":"Latinské velké písmeno w s obráceným háčkem","Latin small letter w with circumflex":"Latinské malé písmeno w s obráceným háčkem","Latin capital letter y with circumflex":"Latinské velké písmeno y s obráceným háčkem","Latin small letter y with circumflex":"Latinské malé písmeno y s obráteným mäkčeňom","Latin capital letter y with diaeresis":"Latinské velké písmeno y s dvojtečkou nad znakem","Latin capital letter z with acute":"Latinské velké písmeno z s čárkou","Latin small letter z with acute":"Latinské malé písmeno z s čárkou","Latin capital letter z with dot above":"Latinské velké písmeno z s tečkou nad znakem","Latin small letter z with dot above":"Latinské malé písmeno z s tečkou nad znakem","Latin capital letter z with caron":"Latinské velké písmeno z s háčkem","Latin small letter z with caron":"Malé písmeno s z háčkem","Latin small letter long s":"Malé dlouhé písmeno s","Less-than sign":"Menší než","Greater-than sign":"Větší než","Less-than or equal to":"Menší nebo roven","Greater-than or equal to":"Větší nebo roven","En dash":"Pomlčka","Em dash":"Dlouhá pomlčka","Macron":"Horní čára","Overline":"Přeškrtnutí","Degree sign":"Znak stupeň","Minus sign":"Znak mínus","Plus-minus sign":"Znak plus-minus","Division sign":"Dělení","Fraction slash":"Lomítko / Dělení","Multiplication sign":"Násobení","Latin small letter f with hook":"Funkce","Integral":"Integrál","N-ary summation":"Znak cyklického sčítání","Infinity":"Nekonečno","Square root":"Odmocnina","Tilde operator":"Vlnovka","Approximately equal to":"Aproximace","Almost equal to":"Částečně rovný","Not equal to":"Nerovná se","Identical to":"Identický k","Element of":"Patří / Je součástí","Not an element of":"Nepatří / Není součástí","Contains as member":"Obsahuje prvek","N-ary product":"Znak cyklického násobení","Logical and":"Logický AND","Logical or":"Logický OR","Not sign":"Není rovný","Intersection":"Průsečík / Průnik","Union":"Sjednocení","Partial differential":"Parciální diference","For all":"Pro všechny prvky v množině","There exists":"Existuje v množině","Empty set":"Prázdná množina","Nabla":"Nabla","Asterisk operator":"Hvězdička / násobení","Proportional to":"Úměrný k","Angle":"Úhel","Vulgar fraction one quarter":"Jedna čtvrtina","Vulgar fraction one half":"Polovina","Vulgar fraction three quarters":"Tři čtvrtiny","Single left-pointing angle quotation mark":"Šipka ukazující do leva","Single right-pointing angle quotation mark":"Šipka ukazující do prava","Left-pointing double angle quotation mark":"Dvojitá šipka ukazující do leva","Right-pointing double angle quotation mark":"Dvojitá šipka ukazující do prava","Left single quotation mark":"Levá uvozovka","Right single quotation mark":"Pravá uvozovka","Left double quotation mark":"Levá dvojitá uvozovka","Right double quotation mark":"Pravá dvojitá uvozovka","Single low-9 quotation mark":"Spodní uvozovka","Double low-9 quotation mark":"Dvojitá spodní uvozovka","Inverted exclamation mark":"Obrácený vykřičník","Inverted question mark":"Obrácený otazník","Two dot leader":"Horizontální dvojtečka","Horizontal ellipsis":"Tečky","Double dagger":"Dvojkříž","Per mille sign":"Promile","Per ten thousand sign":"Na deset tisíc","Double exclamation mark":"Dvojitý vykřičník","Question exclamation mark":"Otazník a vykřičník","Exclamation question mark":"Vykřičník a otazník","Double question mark":"Dvojitý otazník","Copyright sign":"Copyright","Registered sign":"Registrovaný","Trade mark sign":"Ochranná známka","Section sign":"Sekce","Paragraph sign":"Odstavec","Reversed paragraph sign":"Obrácený znak odstavce"},getPluralForm(n){return (n == 1 ? 0 : (n >= 2 && n <= 4) ? 1 : 2);}}};
e[ 'cs' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'cs' ].dictionary = Object.assign( e[ 'cs' ].dictionary, dictionary );
e[ 'cs' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
