/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'hu' ]: { dictionary, getPluralForm } } = {"hu":{"dictionary":{"Special characters":"Speciális karakterek","Category":"Kategória","All":"Összes","Arrows":"Nyilak","Currency":"Valuta","Latin":"Latin","Mathematical":"Matematikai","Text":"Szöveg","leftwards simple arrow":"balra mutató egyszerű nyíl","rightwards simple arrow":"jobbra mutató egyszerű nyíl","upwards simple arrow":"felfelé mutató egyszerű nyíl","downwards simple arrow":"lefelé mutató egyszerű nyíl","leftwards double arrow":"dupla nyíl balra","rightwards double arrow":"dupla nyíl jobbra","upwards double arrow":"dupla nyíl felfelé","downwards double arrow":"dupla nyíl lefelé","leftwards dashed arrow":"szaggatott nyíl balra","rightwards dashed arrow":"szaggatott nyíl jobbra","upwards dashed arrow":"szaggatott nyíl felfelé","downwards dashed arrow":"szaggatott nyíl lefelé","leftwards arrow to bar":"vonalig érő balra nyíl","rightwards arrow to bar":"vonalig érő jobbra nyíl","upwards arrow to bar":"vonalig érő felfele nyíl","downwards arrow to bar":"vonalig érő lefele nyíl","up down arrow with base":"fel-le nyíl alapvonallal","back with leftwards arrow above":"back felirat felette balra nyíllal","end with leftwards arrow above":"end felirat felette balra nyíllal","on with exclamation mark with left right arrow above":"on felirat felkiáltójellel és felette jobbra-balra nyíllal","soon with rightwards arrow above":"soon felirat felette jobbra nyíllal","top with upwards arrow above":"top felirat felette felfele nyíllal","Dollar sign":"Dollár jel","Euro sign":"Euró jel","Yen sign":"Yen jel","Pound sign":"Font jel","Cent sign":"Cent jel","Euro-currency sign":"Euró pénznem jel","Colon sign":"Kettőspont","Cruzeiro sign":"Cruizero szimbólum","French franc sign":"Francia frank jel","Lira sign":"Líra jel","Currency sign":"Pénznem jel","Bitcoin sign":"Bitcoin jel","Mill sign":"Mill szimbólum","Naira sign":"Naira szimbólum","Peseta sign":"Peseta szimbólum","Rupee sign":"Rúpia szimbólum","Won sign":"Won szimbólum","New sheqel sign":"Új sékel szimbólum","Dong sign":"Dong szimbólum","Kip sign":"Kip szimbólum","Tugrik sign":"Tugrik szimbólum","Drachma sign":"Drachma szimbólum","German penny sign":"Német pfennig szimbólum","Peso sign":"Peso szimbólum","Guarani sign":"Guarani  szimbólum","Austral sign":"Ausztrál szimbólum","Hryvnia sign":"Hrivnya szimbólum","Cedi sign":"Cedi szimbólum","Livre tournois sign":"Livre tournois szimbólum","Spesmilo sign":"Spesmilo szimbólum","Tenge sign":"Tenge szimbólum","Indian rupee sign":"Indiai rúpia szimbólum","Turkish lira sign":"Török líra szimbólum","Nordic mark sign":"Északi márka szimbólum","Manat sign":"Manat szimbólum","Ruble sign":"Rubel szimbólum","Latin capital letter a with macron":"Latin nagy a betű macronnal","Latin small letter a with macron":"Latin kis a betű macronnal","Latin capital letter a with breve":"Latin nagy a betű brevével","Latin small letter a with breve":"Latin kis a betű brevével","Latin capital letter a with ogonek":"Latin nagy a betű ogonekkel","Latin small letter a with ogonek":"Latin kis a betű ogonekkel","Latin capital letter c with acute":"Latin nagy c betű éles ékezettel","Latin small letter c with acute":"Latin kis c betű betű éles ékezettel","Latin capital letter c with circumflex":"Latin nagy c betű háztető ékezettel","Latin small letter c with circumflex":"Latin kis c betű betű háztető ékezettel","Latin capital letter c with dot above":"Latin nagy c betű egy pontos ékezettel","Latin small letter c with dot above":"Latin kis c betű egy pontos ékezettel","Latin capital letter c with caron":"Latin nagy c betű hacsekkel","Latin small letter c with caron":"Latin kis c betű hacsekkel","Latin capital letter d with caron":"Latin nagy d betű hacsekkel","Latin small letter d with caron":"Latin kis d betű hacsekkel","Latin capital letter d with stroke":"Latin nagy d betű áthúzva","Latin small letter d with stroke":"Latin kis d betű áthúzva","Latin capital letter e with macron":"Latin nagy e betű macronnal","Latin small letter e with macron":"Latin kis e betű macronnal","Latin capital letter e with breve":"Latin nagy e betű brevével","Latin small letter e with breve":"Latin kis e betű brevével","Latin capital letter e with dot above":"Latin nagy e betű egy pontos ékezettel","Latin small letter e with dot above":"Latin kis e betű egy pontos ékezettel","Latin capital letter e with ogonek":"Latin nagy e betű ogonekkel","Latin small letter e with ogonek":"Latin kis e betű ogonekkel","Latin capital letter e with caron":"Latin nagy e betű hacsekkel","Latin small letter e with caron":"Latin kis e betű hacsekkel","Latin capital letter g with circumflex":"Latin nagy g betű háztető ékezettel","Latin small letter g with circumflex":"Latin kis g betű háztető ékezettel","Latin capital letter g with breve":"Latin nagy g betű brevével","Latin small letter g with breve":"Latin kis g betű brevével","Latin capital letter g with dot above":"Latin nagy g betű egy pontos ékezettel","Latin small letter g with dot above":"Latin kis g betű egy pontos ékezettel","Latin capital letter g with cedilla":"Latin nagy g betű cedillával","Latin small letter g with cedilla":"Latin kis g betű cedillával","Latin capital letter h with circumflex":"Latin nagy h betű háztető ékezettel","Latin small letter h with circumflex":"Latin kis h betű háztető ékezettel","Latin capital letter h with stroke":"Latin nagy h betű áthúzva","Latin small letter h with stroke":"Latin kis h betű áthúzva","Latin capital letter i with tilde":"Latin nagy i betű tildével","Latin small letter i with tilde":"Latin kis i betű tildével","Latin capital letter i with macron":"Latin nagy i betű macronnal","Latin small letter i with macron":"Latin kis i betű macronnal","Latin capital letter i with breve":"Latin nagy i betű brevével","Latin small letter i with breve":"Latin kis i betű brevével","Latin capital letter i with ogonek":"Latin nagy i betű ogonekkel","Latin small letter i with ogonek":"Latin kis i betű ogonekkel","Latin capital letter i with dot above":"Latin nagy i betű egy pontos ékezettel","Latin small letter dotless i":"Latin pont nélküli kis i betű","Latin capital ligature ij":"Latin nagy ij ligatúra","Latin small ligature ij":"Latin kis ij ligatúra","Latin capital letter j with circumflex":"Latin nagy j betű háztető ékezettel","Latin small letter j with circumflex":"Latin kis j betű háztető ékezettel","Latin capital letter k with cedilla":"Latin nagy k betű cedillával","Latin small letter k with cedilla":"Latin kis k betű cedillával","Latin small letter kra":"latin kisbetűs kra","Latin capital letter l with acute":"Latin nagy l betű éles ékezettel","Latin small letter l with acute":"Latin kis l betű éles ékezettel","Latin capital letter l with cedilla":"Latin nagy l betű cedillával","Latin small letter l with cedilla":"Latin kis l betű cedillával","Latin capital letter l with caron":"Latin nagy l betű hacsekkel","Latin small letter l with caron":"Latin kis l betű hacsekkel","Latin capital letter l with middle dot":"Latin nagy l betű középen ponttal","Latin small letter l with middle dot":"Latin kis l betű középen ponttal","Latin capital letter l with stroke":"Latin nagy l betű áthúzva","Latin small letter l with stroke":"Latin kis l betű áthúzva","Latin capital letter n with acute":"Latin nagy n betű éles ékezettel","Latin small letter n with acute":"Latin kis n betű éles ékezettel","Latin capital letter n with cedilla":"Latin nagy n betű cedillával","Latin small letter n with cedilla":"Latin kis n betű cedillával","Latin capital letter n with caron":"Latin nagy n betű hacsekkel","Latin small letter n with caron":"Latin kis n betű hacsekkel","Latin small letter n preceded by apostrophe":"Latin kis n betű előtte aposztróffal","Latin capital letter eng":"Latin nagybetűs eng","Latin small letter eng":"Latin kisbetűs eng","Latin capital letter o with macron":"Latin nagy o betű macronnal","Latin small letter o with macron":"Latin kis o betű macronnal","Latin capital letter o with breve":"Latin nagy o betű brevével","Latin small letter o with breve":"Latin kis o betű brevével","Latin capital letter o with double acute":"Latin nagy o betű kettős éles ékezettel","Latin small letter o with double acute":"Latin kis o betű kettős éles ékezettel","Latin capital ligature oe":"Latin nagy oe ligatúra","Latin small ligature oe":"Latin kis oe ligatúra","Latin capital letter r with acute":"Latin nagy r betű éles ékezettel","Latin small letter r with acute":"Latin kis r betű éles ékezettel","Latin capital letter r with cedilla":"Latin nagy r betű cedillával","Latin small letter r with cedilla":"Latin kis r betű cedillával","Latin capital letter r with caron":"Latin nagy r betű hacsekkel","Latin small letter r with caron":"Latin kis r betű hacsekkel","Latin capital letter s with acute":"Latin nagy s betű éles ékezettel","Latin small letter s with acute":"Latin kis s betű éles ékezettel","Latin capital letter s with circumflex":"Latin nagy s betű háztető ékezettel","Latin small letter s with circumflex":"Latin kis s betű háztető ékezettel","Latin capital letter s with cedilla":"Latin nagy s betű cedillával","Latin small letter s with cedilla":"Latin kis s betű cedillával","Latin capital letter s with caron":"Latin nagy s betű hacsekkel","Latin small letter s with caron":"Latin kis s betű hacsekkel","Latin capital letter t with cedilla":"Latin nagy t betű cedillával","Latin small letter t with cedilla":"Latin kis t betű cedillával","Latin capital letter t with caron":"Latin nagy t betű hacsekkel","Latin small letter t with caron":"Latin kis t betű hacsekkel","Latin capital letter t with stroke":"Latin nagy t betű áthúzva","Latin small letter t with stroke":"Latin kis t betű áthúzva","Latin capital letter u with tilde":"Latin nagy u betű tildével","Latin small letter u with tilde":"Latin kis u betű tildével","Latin capital letter u with macron":"Latin nagy u betű macronnal","Latin small letter u with macron":"Latin kis u betű macronnal","Latin capital letter u with breve":"Latin nagy u betű brevével","Latin small letter u with breve":"Latin kis u betű brevével","Latin capital letter u with ring above":"Latin nagy u betű karika ékezettel","Latin small letter u with ring above":"Latin kis u betű karika ékezettel","Latin capital letter u with double acute":"Latin nagy u betű kettős éles ékezettel","Latin small letter u with double acute":"Latin kis u betű kettős éles ékezettel","Latin capital letter u with ogonek":"Latin nagy u betű ogonekkel","Latin small letter u with ogonek":"Latin kis u betű ogonekkel","Latin capital letter w with circumflex":"Latin nagy w betű háztető ékezettel","Latin small letter w with circumflex":"Latin kis w betű háztető ékezettel","Latin capital letter y with circumflex":"Latin nagy y betű háztető ékezettel","Latin small letter y with circumflex":"Latin kis y betű háztető ékezettel","Latin capital letter y with diaeresis":"Latin nagy y betű diarézissel","Latin capital letter z with acute":"Latin nagy z betű éles ékezettel","Latin small letter z with acute":"Latin kis z betű éles ékezettel","Latin capital letter z with dot above":"Latin nagy z betű egy pontos ékezettel","Latin small letter z with dot above":"Latin kis z betű egy pontos ékezettel","Latin capital letter z with caron":"Latin nagy z betű hacsekkel","Latin small letter z with caron":"Latin kis z betű hacsekkel","Latin small letter long s":"Latin kisbetűs hosszú s","Less-than sign":"Kisebb jel","Greater-than sign":"Nagyobb jel","Less-than or equal to":"Kisebb vagy egyenlő jel","Greater-than or equal to":"Nagyobb vagy egyenlő jel","En dash":"Félkvirtmínusz","Em dash":"Kvirtmínusz","Macron":"Macron","Overline":"Föléhúzás","Degree sign":"Fokjel","Minus sign":"Mínuszjel","Plus-minus sign":"Pluszmínusz-jel","Division sign":"Osztásjel","Fraction slash":"Törtvonás","Multiplication sign":"Szorzójel","Latin small letter f with hook":"Latin kisbetűs f-horog","Integral":"Integrál","N-ary summation":"N-áris szumma","Infinity":"Végtelen","Square root":"Négyzetgyök","Tilde operator":"Hullámvonal","Approximately equal to":"Közelítőleg egyenlő","Almost equal to":"Majdnem egyenlő","Not equal to":"Nem egyenlő","Identical to":"Azonos","Element of":"Része","Not an element of":"Nem része","Contains as member":"Tagként tartalmaz","N-ary product":"N-áris produktum","Logical and":"Logikai és ","Logical or":"Logikai vagy","Not sign":"Nem szimbólum","Intersection":"Metszet","Union":"Egyesítés","Partial differential":"Parciális derivált","For all":"Mindenre","There exists":"Létezik","Empty set":"Üres halmaz","Nabla":"Nabla","Asterisk operator":"Csillag műveleti jel","Proportional to":"Aránylik","Angle":"Szög","Vulgar fraction one quarter":"Vulgáris tört egynegyed","Vulgar fraction one half":"Vulgáris tört egyketted","Vulgar fraction three quarters":"Vulgáris tört háromnegyed","Single left-pointing angle quotation mark":"Szimpla bal oldali szögletes idézőjel","Single right-pointing angle quotation mark":"Jobb oldali szimpla szögletes idézőjel","Left-pointing double angle quotation mark":"Bal oldali dupla szögletes idézőjel","Right-pointing double angle quotation mark":"Jobb oldali dupla szögletes idézőjel","Left single quotation mark":"Bal oldali szimpla idézőjel","Right single quotation mark":"Jobb oldali szimpla idézőjel","Left double quotation mark":"Bal oldali dupla idézőjel","Right double quotation mark":"Jobb oldali dupla idézőjel","Single low-9 quotation mark":"Szimpla 9-es alakú alsó idézőjel","Double low-9 quotation mark":"Dupla 9-es alakú alsó idézőjel","Inverted exclamation mark":"Fordított felkiáltójel","Inverted question mark":"Fordított kérdőjel","Two dot leader":"Két bevezető pont","Horizontal ellipsis":"Vízszintes három pont","Double dagger":"Kettős kereszt","Per mille sign":"Ezrelékjel","Per ten thousand sign":"Tízezrelékjel","Double exclamation mark":"Kettős felkiáltójel","Question exclamation mark":"Kérdő- és felkiáltójel","Exclamation question mark":"Felkiáltó- és kérdőjel","Double question mark":"Dupla kérdőjel","Copyright sign":"Copyright jele","Registered sign":"Bejegyzett védjegy szimbólum","Trade mark sign":"Kereskedelmi védjegy szimbólum","Section sign":"Szakaszjel","Paragraph sign":"Bekezdésjel","Reversed paragraph sign":"Fordított bekezdésjel"},getPluralForm(n){return (n != 1);}}};
e[ 'hu' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'hu' ].dictionary = Object.assign( e[ 'hu' ].dictionary, dictionary );
e[ 'hu' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
