/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'ko' ]: { dictionary, getPluralForm } } = {"ko":{"dictionary":{"Special characters":"특수 문자","Category":"카테고리","All":"전체","Arrows":"화살표","Currency":"통화","Latin":"라틴","Mathematical":"수식","Text":"텍스트","leftwards simple arrow":"왼쪽 단순 화살표","rightwards simple arrow":"오른쪽 단순 화살표","upwards simple arrow":"위쪽 단순 화살표","downwards simple arrow":"아래쪽 단순 화살표","leftwards double arrow":"왼쪽 겹화살표","rightwards double arrow":"오른쪽 겹화살표","upwards double arrow":"위쪽 겹화살표","downwards double arrow":"아래쪽 겹화살표","leftwards dashed arrow":"왼쪽 대시 화살표","rightwards dashed arrow":"오른쪽 대시 화살표","upwards dashed arrow":"위쪽 대시 화살표","downwards dashed arrow":"아래쪽 대시 화살표","leftwards arrow to bar":"왼쪽 바를 향한 화살표","rightwards arrow to bar":"오른쪽 바를 향한 화살표","upwards arrow to bar":"위쪽 바를 향한 화살표","downwards arrow to bar":"아래쪽 바를 향한 화살표","up down arrow with base":"받침이 있는 위아래 화살표","back with leftwards arrow above":"BACK 위 왼쪽 화살표","end with leftwards arrow above":"END 위 왼쪽 화살표","on with exclamation mark with left right arrow above":"ON! 위 왼쪽 오른쪽 화살표","soon with rightwards arrow above":"SOON 위 오른쪽 화살표","top with upwards arrow above":"TOP 위 위쪽 화살표","Dollar sign":"달러 기호","Euro sign":"유로 기호","Yen sign":"엔 기호","Pound sign":"파운드 기호","Cent sign":"센트 기호","Euro-currency sign":"유로화 기호","Colon sign":"콜론 기호","Cruzeiro sign":"크루제이루 기호","French franc sign":"프랑스 프랑 기호","Lira sign":"리라 기호","Currency sign":"통화 기호","Bitcoin sign":"비트코인 기호","Mill sign":"밀 기호","Naira sign":"나이라 기호","Peseta sign":"페세타 기호","Rupee sign":"루피 기호","Won sign":"원 기호","New sheqel sign":"뉴 세켈 기호","Dong sign":"동 기호","Kip sign":"킵 기호","Tugrik sign":"투그리크 기호","Drachma sign":"드라크마 기호","German penny sign":"독일 페니 기호","Peso sign":"페소 기호","Guarani sign":"과라니 기호","Austral sign":"오스트랄 기호","Hryvnia sign":"흐리브냐 기호","Cedi sign":"세디 기호","Livre tournois sign":"리브르 트르누아 기호","Spesmilo sign":"스페스밀로 기호","Tenge sign":"텡게 기호","Indian rupee sign":"인도 루피 기호","Turkish lira sign":"터키 리라 기호","Nordic mark sign":"노르딕 마크 기호","Manat sign":"마나트 기호","Ruble sign":"루블 기호","Latin capital letter a with macron":"장음 부호가 있는 라틴어 대문자 A","Latin small letter a with macron":"장음 부호가 있는 라틴어 소문자 a","Latin capital letter a with breve":"반달점 부호가 있는 라틴어 대문자 A","Latin small letter a with breve":"반달점 부호가 있는 라틴어 소문자 a","Latin capital letter a with ogonek":"꼬리 부호가 있는 라틴어 대문자 A","Latin small letter a with ogonek":"꼬리 부호가 있는 라틴어 소문자 a","Latin capital letter c with acute":"양음 부호가 있는 라틴어 대문자 C","Latin small letter c with acute":"양음 부호가 있는 라틴어 소문자 c","Latin capital letter c with circumflex":"곡절 부호가 있는 라틴어 대문자 C","Latin small letter c with circumflex":"곡절 부호가 있는 라틴어 소문자 c","Latin capital letter c with dot above":"위에 점 부호가 있는 라틴어 대문자 C","Latin small letter c with dot above":"위에 점 부호가 있는 라틴어 소문자 c","Latin capital letter c with caron":"반대 곡절 부호가 있는 라틴어 대문자 C","Latin small letter c with caron":"반대 곡절 부호가 있는 라틴어 소문자 c","Latin capital letter d with caron":"반대 곡절 부호가 있는 라틴어 대문자 D","Latin small letter d with caron":"반대 곡절 부호가 있는 라틴어 소문자 d","Latin capital letter d with stroke":"획 부호가 있는 라틴어 대문자 D","Latin small letter d with stroke":"획 부호가 있는 라틴어 소문자 d","Latin capital letter e with macron":"장음 부호가 있는 라틴어 대문자 E","Latin small letter e with macron":"장음 부호가 있는 라틴어 소문자 e","Latin capital letter e with breve":"반달점 부호가 있는 라틴어 대문자 E","Latin small letter e with breve":"반달점 부호가 있는 라틴어 소문자 e","Latin capital letter e with dot above":"위에 점 부호가 있는 라틴어 대문자 E","Latin small letter e with dot above":"위에 점 부호가 있는 라틴어 소문자 e","Latin capital letter e with ogonek":"꼬리 부호가 있는 라틴어 대문자 E","Latin small letter e with ogonek":"꼬리 부호가 있는 라틴어 소문자 e","Latin capital letter e with caron":"반대 곡절 부호가 있는 라틴어 대문자 E","Latin small letter e with caron":"반대 곡절 부호가 있는 라틴어 소문자 e","Latin capital letter g with circumflex":"곡절 부호가 있는 라틴어 대문자 G","Latin small letter g with circumflex":"곡절 부호가 있는 라틴어 소문자 g","Latin capital letter g with breve":"반달점 부호가 있는 라틴어 대문자 G","Latin small letter g with breve":"반달점 부호가 있는 라틴어 소문자 g","Latin capital letter g with dot above":"위에 점 부호가 있는 라틴어 대문자 G","Latin small letter g with dot above":"위에 점 부호가 있는 라틴어 소문자 g","Latin capital letter g with cedilla":"갈고리 부호가 있는 라틴어 대문자 G","Latin small letter g with cedilla":"갈고리 부호가 있는 라틴어 소문자 g","Latin capital letter h with circumflex":"곡절 부호가 있는 라틴어 대문자 H","Latin small letter h with circumflex":"곡절 부호가 있는 라틴어 소문자 h","Latin capital letter h with stroke":"획 부호가 있는 라틴어 대문자 H","Latin small letter h with stroke":"획 부호가 있는 라틴어 소문자 h","Latin capital letter i with tilde":"물결 부호가 있는 라틴어 대문자 I","Latin small letter i with tilde":"물결 부호가 있는 라틴어 소문자 i","Latin capital letter i with macron":"장음 부호가 있는 라틴어 대문자 I","Latin small letter i with macron":"장음 부호가 있는 라틴어 소문자 i","Latin capital letter i with breve":"반달점 부호가 있는 라틴어 대문자 I","Latin small letter i with breve":"반달점 부호가 있는 라틴어 소문자 i","Latin capital letter i with ogonek":"꼬리 부호가 있는 라틴어 대문자 I","Latin small letter i with ogonek":"꼬리 부호가 있는 라틴어 소문자 i","Latin capital letter i with dot above":"위에 점 부호가 있는 라틴어 대문자 I","Latin small letter dotless i":"라틴어 소문자 점 없는 i","Latin capital ligature ij":"라틴어 대문자 합자 IJ","Latin small ligature ij":"라틴어 소문자 합자 ij","Latin capital letter j with circumflex":"곡절 부호가 있는 라틴어 대문자 J","Latin small letter j with circumflex":"곡절 부호가 있는 라틴어 소문자 j","Latin capital letter k with cedilla":"갈고리 부호가 있는 라틴어 대문자 K","Latin small letter k with cedilla":"갈고리 부호가 있는 라틴어 소문자 k","Latin small letter kra":"라틴어 소문자 크라","Latin capital letter l with acute":"양음 부호가 있는 라틴어 대문자 I","Latin small letter l with acute":"양음 부호가 있는 라틴어 소문자 i","Latin capital letter l with cedilla":"갈고리 부호가 있는 라틴어 대문자 I","Latin small letter l with cedilla":"갈고리 부호가 있는 라틴어 소문자 i","Latin capital letter l with caron":"반대 곡절 부호가 있는 라틴어 대문자 I","Latin small letter l with caron":"반대 곡절 부호가 있는 라틴어 소문자 i","Latin capital letter l with middle dot":"중간에 점 부호가 있는 라틴어 대문자 I","Latin small letter l with middle dot":"중간에 점 부호가 있는 라틴어 소문자 i","Latin capital letter l with stroke":"획 부호가 있는 라틴어 대문자 I","Latin small letter l with stroke":"획 부호가 있는 라틴어 소문자 i","Latin capital letter n with acute":"양음 부호가 있는 라틴어 대문자 N","Latin small letter n with acute":"양음 부호가 있는 라틴어 소문자 n","Latin capital letter n with cedilla":"갈고리 부호가 있는 라틴어 대문자 N","Latin small letter n with cedilla":"갈고리 부호가 있는 라틴어 소문자 n","Latin capital letter n with caron":"반대 곡절 부호가 있는 라틴어 대문자 N","Latin small letter n with caron":"반대 곡절 부호가 있는 라틴어 소문자 n","Latin small letter n preceded by apostrophe":"아포스트로피 다음에 있는 라틴어 소문자 n","Latin capital letter eng":"라틴어 대문자 엥","Latin small letter eng":"라틴어 소문자 엥","Latin capital letter o with macron":"장음 부호가 있는 라틴어 대문자 O","Latin small letter o with macron":"장음 부호가 있는 라틴어 소문자 o","Latin capital letter o with breve":"반달점 부호가 있는 라틴어 대문자 O","Latin small letter o with breve":"반달점 부호가 있는 라틴어 소문자 o","Latin capital letter o with double acute":"이중 양음 부호가 있는 라틴어 대문자 O","Latin small letter o with double acute":"이중 양음 부호가 있는 라틴어 소문자 o","Latin capital ligature oe":"라틴어 대문자 합자 OE","Latin small ligature oe":"라틴어 소문자 합자 oe","Latin capital letter r with acute":"양음 부호가 있는 라틴어 대문자 R","Latin small letter r with acute":"양음 부호가 있는 라틴어 소문자 r","Latin capital letter r with cedilla":"갈고리 부호가 있는 라틴어 대문자 R","Latin small letter r with cedilla":"갈고리 부호가 있는 라틴어 소문자 r","Latin capital letter r with caron":"반대 곡절 부호가 있는 라틴어 대문자 R","Latin small letter r with caron":"반대 곡절 부호가 있는 라틴어 소문자 r","Latin capital letter s with acute":"양음 부호가 있는 라틴어 대문자 S","Latin small letter s with acute":"양음 부호가 있는 라틴어 소문자 s","Latin capital letter s with circumflex":"곡절 부호가 있는 라틴어 대문자 S","Latin small letter s with circumflex":"곡절 부호가 있는 라틴어 소문자 s","Latin capital letter s with cedilla":"갈고리 부호가 있는 라틴어 대문자 S","Latin small letter s with cedilla":"갈고리 부호가 있는 라틴어 소문자 s","Latin capital letter s with caron":"반대 곡절 부호가 있는 라틴어 대문자 S","Latin small letter s with caron":"반대 곡절 부호가 있는 라틴어 소문자 s","Latin capital letter t with cedilla":"갈고리 부호가 있는 라틴어 대문자 T","Latin small letter t with cedilla":"갈고리 부호가 있는 라틴어 소문자 t","Latin capital letter t with caron":"반대 곡절 부호가 있는 라틴어 대문자 T","Latin small letter t with caron":"반대 곡절 부호가 있는 라틴어 소문자 t","Latin capital letter t with stroke":"획 부호가 있는 라틴어 대문자 T","Latin small letter t with stroke":"획 부호가 있는 라틴어 소문자 t","Latin capital letter u with tilde":"물결 부호가 있는 라틴어 대문자 U","Latin small letter u with tilde":"물결 부호가 있는 라틴어 소문자 u","Latin capital letter u with macron":"장음 부호가 있는 라틴어 대문자 U","Latin small letter u with macron":"장음 부호가 있는 라틴어 소문자 u","Latin capital letter u with breve":"반달점 부호가 있는 라틴어 대문자 U","Latin small letter u with breve":"반달점 부호가 있는 라틴어 소문자 u","Latin capital letter u with ring above":"위에 고리가 있는 라틴어 대문자 U","Latin small letter u with ring above":"위에 고리가 있는 라틴어 소문자 u","Latin capital letter u with double acute":"이중 양음 부호가 있는 라틴어 대문자 U","Latin small letter u with double acute":"이중 양음 부호가 있는 라틴어 소문자 u","Latin capital letter u with ogonek":"꼬리 부호가 있는 라틴어 대문자 U","Latin small letter u with ogonek":"꼬리 부호가 있는 라틴어 소문자 u","Latin capital letter w with circumflex":"곡절 부호가 있는 라틴어 대문자 W","Latin small letter w with circumflex":"곡절 부호가 있는 라틴어 소문자 w","Latin capital letter y with circumflex":"곡절 부호가 있는 라틴어 대문자 Y","Latin small letter y with circumflex":"곡절 부호가 있는 라틴어 소문자 y","Latin capital letter y with diaeresis":"분음 부호가 있는 라틴어 대문자 Y","Latin capital letter z with acute":"양음 부호가 있는 라틴어 대문자 Z","Latin small letter z with acute":"양음 부호가 있는 라틴어 소문자 z","Latin capital letter z with dot above":"위에 점 부호가 있는 라틴어 대문자 Z","Latin small letter z with dot above":"위에 점 부호가 있는 라틴어 소문자 z","Latin capital letter z with caron":"반대 곡절 부호가 있는 라틴어 대문자 Z","Latin small letter z with caron":"반대 곡절 부호가 있는 라틴어 소문자 z","Latin small letter long s":"라틴어 소문자 긴 s","Less-than sign":"더 작음 기호","Greater-than sign":"더 큼 기호","Less-than or equal to":"더 작거나 같음","Greater-than or equal to":"더 크거나 같음","En dash":"엔 대시","Em dash":"엠 대시","Macron":"장음 부호","Overline":"윗줄","Degree sign":"도 기호","Minus sign":"빼기 기호","Plus-minus sign":"더하기 빼기 기호","Division sign":"나누기 기호","Fraction slash":"분수 슬래시","Multiplication sign":"곱하기 기호","Latin small letter f with hook":"밑이 구부러진 라틴어 소문자 f","Integral":"적분","N-ary summation":"누계합","Infinity":"무한대","Square root":"제곱근","Tilde operator":"물결표 연산자","Approximately equal to":"대략 같음","Almost equal to":"거의 같음","Not equal to":"같지 않음","Identical to":"합동","Element of":"원소","Not an element of":"원소가 아님","Contains as member":"원소로 포함","N-ary product":"중복순열","Logical and":"논리곱","Logical or":"논리합","Not sign":"부정 기호","Intersection":"교집합","Union":"합집합","Partial differential":"편미분","For all":"전칭","There exists":"존재","Empty set":"공집합","Nabla":"나블라","Asterisk operator":"별표 연산자","Proportional to":"비례","Angle":"각","Vulgar fraction one quarter":"4분의 1","Vulgar fraction one half":"2분의 1","Vulgar fraction three quarters":"4분의 3","Single left-pointing angle quotation mark":"왼쪽 홑화살괄호","Single right-pointing angle quotation mark":"오른쪽 홑화살괄호","Left-pointing double angle quotation mark":"왼쪽 겹화살괄호","Right-pointing double angle quotation mark":"오른쪽 겹화살괄호","Left single quotation mark":"왼쪽 작은따옴표","Right single quotation mark":"오른쪽 작은따옴표","Left double quotation mark":"왼쪽 큰따옴표","Right double quotation mark":"오른쪽 큰따옴표","Single low-9 quotation mark":"낮은 홑따옴표","Double low-9 quotation mark":"낮은 겹따옴표","Inverted exclamation mark":"역느낌표","Inverted question mark":"역물음표","Two dot leader":"두 점 줄임표","Horizontal ellipsis":"세 점 줄임표","Double dagger":"겹칼표","Per mille sign":"퍼 마일 기호","Per ten thousand sign":"만분율 기호","Double exclamation mark":"겹느낌표","Question exclamation mark":"물음표 느낌표","Exclamation question mark":"느낌표 물음표","Double question mark":"겹물음표","Copyright sign":"저작권 기호","Registered sign":"등록 상표 기호","Trade mark sign":"상표 기호","Section sign":"구역 기호","Paragraph sign":"단락 기호","Reversed paragraph sign":"반전된 단락 기호"},getPluralForm(n){return 0;}}};
e[ 'ko' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'ko' ].dictionary = Object.assign( e[ 'ko' ].dictionary, dictionary );
e[ 'ko' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
