/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'nl' ]: { dictionary, getPluralForm } } = {"nl":{"dictionary":{"Special characters":"Speciale karakters","Category":"Categorie","All":"Alles","Arrows":"Pijlen","Currency":"Valuta","Latin":"Latijn","Mathematical":"Wiskundig","Text":"Tekst","leftwards simple arrow":"simpele pijl naar links","rightwards simple arrow":"simpele pijl naar rechts","upwards simple arrow":"simpele pijl naar boven","downwards simple arrow":"simpele pijl naar beneden","leftwards double arrow":"linkswijzende dubbele pijl","rightwards double arrow":"rechtswijzende dubbele pijl","upwards double arrow":"bovenwijzende dubbele pijl","downwards double arrow":"benedenwijzende dubbele pijl","leftwards dashed arrow":"linkswijzende gestreepte pijl","rightwards dashed arrow":"rechtswijzende gestreepte pijl","upwards dashed arrow":"bovenwijzende gestreepte pijl","downwards dashed arrow":"benedenwijzende gestreepte pijl","leftwards arrow to bar":"linkswijzende pijl naar streep","rightwards arrow to bar":"rechtswijzende pijl naar streep","upwards arrow to bar":"bovenwijzende pijl naar streep","downwards arrow to bar":"benedenwijzende pijl naar streep","up down arrow with base":"boven beneden pijl met streep","back with leftwards arrow above":"back met linkswijzende pijl erboven","end with leftwards arrow above":"end met linkswijzende pijl erboven","on with exclamation mark with left right arrow above":"on met uitroepteken met links rechts pijl erboven","soon with rightwards arrow above":"soon met rechtswijzende pijl erboven","top with upwards arrow above":"top met bovenwijzende pijl erboven","Dollar sign":"Dollar teken","Euro sign":"Euro teken","Yen sign":"Yen teken","Pound sign":"Pond teken","Cent sign":"Cent teken","Euro-currency sign":"Euro-valuta teken","Colon sign":"Colón teken","Cruzeiro sign":"Cruzeiro teken","French franc sign":"Franse frank teken","Lira sign":"Lira teken","Currency sign":"Valuta teken","Bitcoin sign":"Bitcoin teken","Mill sign":"Mill teken","Naira sign":"Naira teken","Peseta sign":"Peseta teken","Rupee sign":"Roepie teken","Won sign":"Won teken","New sheqel sign":"Nieuwe sjekel teken","Dong sign":"Dong teken","Kip sign":"Kip teken","Tugrik sign":"Tugrik teken","Drachma sign":"Drachme teken","German penny sign":"Duitse penny teken","Peso sign":"Peso teken","Guarani sign":"Guarani teken","Austral sign":"Austral teken","Hryvnia sign":"Grivna teken","Cedi sign":"Cedi teken","Livre tournois sign":"Livre tournois teken","Spesmilo sign":"Spesmilo teken","Tenge sign":"Tenge teken","Indian rupee sign":"Indiaanse roepie teken","Turkish lira sign":"Turkse lira teken","Nordic mark sign":"Noorse mark teken","Manat sign":"Manat teken","Ruble sign":"Roebel teken","Latin capital letter a with macron":"Latijnse hoofdletter a met macron","Latin small letter a with macron":"Latijnse kleine letter a met macron","Latin capital letter a with breve":"Latijnse hoofdletter a met breve","Latin small letter a with breve":"Latijnse kleine letter a met breve","Latin capital letter a with ogonek":"Latijnse hoofdletter a met ogonek","Latin small letter a with ogonek":"Latijnse kleine letter a met ogonek","Latin capital letter c with acute":"Latijnse hoofdletter c met acute","Latin small letter c with acute":"Latijnse kleine letter c met acute","Latin capital letter c with circumflex":"Latijnse hoofdletter c met circumflex","Latin small letter c with circumflex":"Latijnse kleine letter c met circumflex","Latin capital letter c with dot above":"Latijnse hoofdletter c met punt erboven","Latin small letter c with dot above":"Latijnse kleine letter met punt erboven","Latin capital letter c with caron":"Latijnse hoofdletter c met caron","Latin small letter c with caron":"Latijnse kleine letter c met caron","Latin capital letter d with caron":"Latijnse hoofdletter d met caron","Latin small letter d with caron":"Latijnse kleine letter d met caron","Latin capital letter d with stroke":"Latijnse hoofdletter d met dwarsstreep","Latin small letter d with stroke":"Latijnse kleine letter d met dwarsstreep","Latin capital letter e with macron":"Latijnse hoofdletter e met macron","Latin small letter e with macron":"Latijnse kleine letter e met macron","Latin capital letter e with breve":"Latijnse hoofdletter e met breve","Latin small letter e with breve":"Latijnse kleine letter e met breve","Latin capital letter e with dot above":"Latijnse hoofdletter e met punt erboven","Latin small letter e with dot above":"Latijnse kleine letter e met punt erboven","Latin capital letter e with ogonek":"Latijnse hoofdletter e met ogonek","Latin small letter e with ogonek":"Latijnse kleine letter e met ogonek","Latin capital letter e with caron":"Latijnse hoofdletter e met haček","Latin small letter e with caron":"Latijnse kleine letter e met haček","Latin capital letter g with circumflex":"Latijnse hoofdletter g met circumflex","Latin small letter g with circumflex":"Latijnse kleine letter g met circumflex","Latin capital letter g with breve":"Latijnse hoofdletter g met breve","Latin small letter g with breve":"Latijnse kleine letter g met breve","Latin capital letter g with dot above":"Latijnse hoofdletter g met punt erboven","Latin small letter g with dot above":"Latijnse kleine letter g met punt erboven","Latin capital letter g with cedilla":"Latijnse hoofdletter g met cedille","Latin small letter g with cedilla":"Latijnse kleine letter g met cedille","Latin capital letter h with circumflex":"Latijnse hoofdletter h met circumflex","Latin small letter h with circumflex":"Latijnse kleine letter h met circumflex","Latin capital letter h with stroke":"Latijnse hoofdletter h met macron\n","Latin small letter h with stroke":"Latijnse kleine letter h met macron","Latin capital letter i with tilde":"Latijnse hoofdletter i met tilde","Latin small letter i with tilde":"Latijnse kleine letter i met tilde","Latin capital letter i with macron":"Latijnse hoofdletter i met macron","Latin small letter i with macron":"Latijnse kleine letter i met macron","Latin capital letter i with breve":"Latijnse hoofdletter i met breve","Latin small letter i with breve":"Latijnse kleine letter i met breve","Latin capital letter i with ogonek":"Latijnse hoofdletter i met ogonek","Latin small letter i with ogonek":"Latijnse kleine letter i met ogonek","Latin capital letter i with dot above":"Latijnse hoofdletter i met punt erboven","Latin small letter dotless i":"Latijnse kleine letter i zonder punt","Latin capital ligature ij":"Latijnse hoofdletter ligatuur ij","Latin small ligature ij":"Latijnse kleine ligatuur ij","Latin capital letter j with circumflex":"Latijnse hoofdletter j met circumflex","Latin small letter j with circumflex":"Latijnse kleine letter j met circumflex","Latin capital letter k with cedilla":"Latijnse hoofdletter k met cedille","Latin small letter k with cedilla":"Latijnse kleine letter k met cedille","Latin small letter kra":"Latijnse kleine letter kra","Latin capital letter l with acute":"Latijnse hoofdletter l met accent aigu","Latin small letter l with acute":"Latijnse kleine letter l met accent aigu","Latin capital letter l with cedilla":"Latijnse hoofdletter l met cedille","Latin small letter l with cedilla":"Latijnse kleine letter l met cedille","Latin capital letter l with caron":"Latijnse hoofdletter l met haček","Latin small letter l with caron":"Latijnse kleine letter l met haček","Latin capital letter l with middle dot":"Latijnse hoofdletter l met punt in het midden","Latin small letter l with middle dot":"Latijnse kleine letter l met punt in het midden","Latin capital letter l with stroke":"Latijnse hoofdletter l met dwarsstreep","Latin small letter l with stroke":"Latijnse kleine letter l met dwarsstreep","Latin capital letter n with acute":"Latijnse hoofdletter n met accent aigu","Latin small letter n with acute":"Latijnse kleine letter n met accent aigu","Latin capital letter n with cedilla":"Latijnse hoofdletter n met cedille","Latin small letter n with cedilla":"Latijnse kleine letter n met cedille","Latin capital letter n with caron":"Latijnse hoofdletter n met haček","Latin small letter n with caron":"Latijnse kleine letter n met haček","Latin small letter n preceded by apostrophe":"Latijnse kleine letter n voorafgegaan door apostrof","Latin capital letter eng":"Latijnse hoofdletter eng","Latin small letter eng":"Latijnse kleine letter eng","Latin capital letter o with macron":"Latijnse hoofdletter o met macron","Latin small letter o with macron":"Latijnse kleine letter o met macron","Latin capital letter o with breve":"Latijnse hoofdletter o met breve","Latin small letter o with breve":"Latijnse kleine letter o met breve","Latin capital letter o with double acute":"Latijnse hoofdletter o met dubbel accent aigu","Latin small letter o with double acute":"Latijnse kleine letter o met dubbel accent aigu","Latin capital ligature oe":"Latijnse hoofdletter ligatuur oe","Latin small ligature oe":"Latijnse kleine ligatuur oe","Latin capital letter r with acute":"Latijnse hoofdletter r met accent aigu","Latin small letter r with acute":"Latijnse kleine letter r met accent aigu","Latin capital letter r with cedilla":"Latijnse hoofdletter r met cedille","Latin small letter r with cedilla":"Latijnse kleine letter r met cedille","Latin capital letter r with caron":"Latijnse hoofdletter r met haček","Latin small letter r with caron":"Latijnse kleine letter r met haček","Latin capital letter s with acute":"Latijnse hoofdletter s met accent aigu","Latin small letter s with acute":"Latijnse kleine letter s met accent aigu","Latin capital letter s with circumflex":"Latijnse hoofdletter s met circumflex","Latin small letter s with circumflex":"Latijnse kleine letter s met circumflex","Latin capital letter s with cedilla":"Latijnse hoofdletter s met cedille","Latin small letter s with cedilla":"Latijnse kleine letter s met cedille","Latin capital letter s with caron":"Latijnse hoofdletter s met haček","Latin small letter s with caron":"Latijnse kleine letter s met haček","Latin capital letter t with cedilla":"Latijnse hoofdletter t met cedille","Latin small letter t with cedilla":"Latijnse kleine letter t met cedille","Latin capital letter t with caron":"Latijnse hoofdletter t met haček","Latin small letter t with caron":"Latijnse kleine letter t met haček","Latin capital letter t with stroke":"Latijnse hoofdletter t met dwarsstreep","Latin small letter t with stroke":"Latijnse kleine letter t met dwarsstreep","Latin capital letter u with tilde":"Latijnse hoofdletter u met tilde","Latin small letter u with tilde":"Latijnse kleine letter u met tilde","Latin capital letter u with macron":"Latijnse hoofdletter u met macron","Latin small letter u with macron":"Latijnse kleine letter u met macron","Latin capital letter u with breve":"Latijnse hoofdletter u met breve","Latin small letter u with breve":"Latijnse kleine letter u met breve","Latin capital letter u with ring above":"Latijnse hoofdletter u met ring erboven","Latin small letter u with ring above":"Latijnse kleine letter u met ring erboven","Latin capital letter u with double acute":"Latijnse hoofdletter u met dubbele accent aigu","Latin small letter u with double acute":"Latijnse kleine letter u met dubbele accent aigu","Latin capital letter u with ogonek":"Latijnse hoofdletter u met ogonek","Latin small letter u with ogonek":"Latijnse kleine letter u met ogonek","Latin capital letter w with circumflex":"Latijnse hoofdletter w met circumflex","Latin small letter w with circumflex":"Latijnse kleine letter w met circumflex","Latin capital letter y with circumflex":"Latijnse hoofdletter y met circumflex","Latin small letter y with circumflex":"Latijnse kleine letter y met circumflex","Latin capital letter y with diaeresis":"Latijnse hoofdletter y met trema","Latin capital letter z with acute":"Latijnse hoofdletter z met accent aigu","Latin small letter z with acute":"Latijnse kleine letter z met accent aigu","Latin capital letter z with dot above":"Latijnse hoofdletter z met punt erboven","Latin small letter z with dot above":"Latijnse kleine letter z met punt erboven","Latin capital letter z with caron":"Latijnse hoofdletter z met haček","Latin small letter z with caron":"Latijnse kleine letter z met haček","Latin small letter long s":"Latijnse kleine letter lange s","Less-than sign":"Kleiner-dan teken","Greater-than sign":"Groter-dan teken","Less-than or equal to":"Kleiner-dan of gelijk aan","Greater-than or equal to":"Groter-dan of gelijk aan","En dash":"Half kastlijntje","Em dash":"Kastlijntje","Macron":"Makron","Overline":"Overline","Degree sign":"Graden teken","Minus sign":"Min teken","Plus-minus sign":"Plus-minus teken","Division sign":"Deel teken","Fraction slash":"Breuk teken","Multiplication sign":"Vermenigvuldigingsteken","Latin small letter f with hook":"Latijnse kleine letter f met hoek","Integral":"Integraal","N-ary summation":"N-ary sommatie","Infinity":"Infinity","Square root":"Vierkantswortel","Tilde operator":"Tidle teken","Approximately equal to":"Ongeveer gelijk aan","Almost equal to":"Bijna gelijk aan","Not equal to":"Niet gelijk aan","Identical to":"Gelijk aan","Element of":"Onderdeel van","Not an element of":"Geen onderdeel van","Contains as member":"Bevat als onderdeel","N-ary product":"N-ary product","Logical and":"Logische en","Logical or":"Logische of","Not sign":"Niet teken","Intersection":"Kruispunt","Union":"Unie","Partial differential":"Gedeeltelijk differentieel","For all":"Voor alles","There exists":"Er bestaat","Empty set":"Lege set","Nabla":"Nabla","Asterisk operator":"Asterisk teken","Proportional to":"Verhoudend tot","Angle":"Hoek","Vulgar fraction one quarter":"Gewone breuk een kwart","Vulgar fraction one half":"Gewone breuk een half","Vulgar fraction three quarters":"Gewone breuk driekwart","Single left-pointing angle quotation mark":"Enkel naar links wijzend punthaakje","Single right-pointing angle quotation mark":"Enkel naar rechts wijzend punthaakje","Left-pointing double angle quotation mark":"Naar links wijzende guillemet","Right-pointing double angle quotation mark":"Naar rechts wijzende guillemet","Left single quotation mark":"Linker enkelvoudig aanhalingsteken","Right single quotation mark":"Rechter enkelvoudig aanhalingsteken","Left double quotation mark":"Linker dubbel aanhalingsteken","Right double quotation mark":"Rechter dubbel aanhalingsteken","Single low-9 quotation mark":"Enkelvoudig laag aanhalingsteken","Double low-9 quotation mark":"Dubbel laag aanhalingsteken","Inverted exclamation mark":"Omgekeerd uitroepteken","Inverted question mark":"Omgekeerd vraagteken","Two dot leader":"Dubbele leidende punt","Horizontal ellipsis":"Horizontale ellips","Double dagger":"Dubbele obelisk","Per mille sign":"Promilleteken","Per ten thousand sign":"Basispunt","Double exclamation mark":"Dubbel uitroepteken","Question exclamation mark":"Vraagteken-uitroepteken","Exclamation question mark":"Uitroepteken-vraagteken","Double question mark":"Dubbel vraagteken","Copyright sign":"Copyrightteken","Registered sign":"Geregistreerd handelsmerkteken","Trade mark sign":"Handelsmerkteken","Section sign":"Paragraafsymbool","Paragraph sign":"Paragraaf teken","Reversed paragraph sign":"Omgekeerd paragraaf teken"},getPluralForm(n){return (n != 1);}}};
e[ 'nl' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'nl' ].dictionary = Object.assign( e[ 'nl' ].dictionary, dictionary );
e[ 'nl' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
