/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'sv' ]: { dictionary, getPluralForm } } = {"sv":{"dictionary":{"Special characters":"Specialtecken","Category":"Kategori","All":"Alla","Arrows":"Pilar","Currency":"Valuta","Latin":"Latinska","Mathematical":"Matematiska","Text":"Text","leftwards simple arrow":"enkel vänsterpil","rightwards simple arrow":"enkel högerpil","upwards simple arrow":"enkel uppåtpil","downwards simple arrow":"enkel nedåtpil","leftwards double arrow":"dubbelpil åt vänster","rightwards double arrow":"dubbelpil åt höger","upwards double arrow":"dubbelpil uppåt","downwards double arrow":"dubbelpil nedåt","leftwards dashed arrow":"streckad pil åt vänster","rightwards dashed arrow":"streckad pil åt höger","upwards dashed arrow":"streckad pil uppåt","downwards dashed arrow":"streckad pil nedåt","leftwards arrow to bar":"pil åt vänster till baren","rightwards arrow to bar":"pil åt höger till bar","upwards arrow to bar":"uppåtriktad pil till streck","downwards arrow to bar":"pil nedåt för att sätta en bar","up down arrow with base":"upp ner pil med bas","back with leftwards arrow above":"tillbaka med pil åt vänster ovanför","end with leftwards arrow above":"avsluta med en pil åt vänster ovanför","on with exclamation mark with left right arrow above":"på med utropstecken med vänster högerpil ovanför","soon with rightwards arrow above":"snart med högerpilen ovan","top with upwards arrow above":"överst med en uppåtriktad pil ovanför","Dollar sign":"Dollartecken","Euro sign":"Euro-skylt","Yen sign":"Yen-tecken","Pound sign":"Pundskyltning","Cent sign":"Cent-tecken","Euro-currency sign":"Tecken på euro-valuta","Colon sign":"Colon-tecken","Cruzeiro sign":"Kryssningsskylt","French franc sign":"Franska franc tecken","Lira sign":"Lira-tecken","Currency sign":"Valutateknik","Bitcoin sign":"Bitcoin-tecken","Mill sign":"Kvarnskylt","Naira sign":"Naira-tecken","Peseta sign":"Peseta-tecken","Rupee sign":"Tecken på rupier","Won sign":"Vunnit tecken","New sheqel sign":"Ny sheqel-skylt","Dong sign":"Dong-tecken","Kip sign":"Kip-tecken","Tugrik sign":"Tugrik-tecken","Drachma sign":"Drachma tecken","German penny sign":"Tyska penny-tecken","Peso sign":"Peso-tecken","Guarani sign":"Guarani-tecken","Austral sign":"Australisk skylt","Hryvnia sign":"Hryvnia tecken","Cedi sign":"Cedi-tecken","Livre tournois sign":"Turneringens bokskylt","Spesmilo sign":"Spesmilo skylt","Tenge sign":"Tenge-tecken","Indian rupee sign":"Indisk rupie tecken","Turkish lira sign":"Turkiska liran tecken","Nordic mark sign":"Nordiskt märke tecken","Manat sign":"Manat-tecken","Ruble sign":"Rubel tecken","Latin capital letter a with macron":"Den latinska storbokstaven a med makron","Latin small letter a with macron":"Latin liten bokstav a med makron","Latin capital letter a with breve":"Den latinska storbokstaven a med breve","Latin small letter a with breve":"Den latinska lilla bokstaven a med breve","Latin capital letter a with ogonek":"Den latinska huvudbokstaven a med ogonek","Latin small letter a with ogonek":"Den latinska lilla bokstaven a med ogonek","Latin capital letter c with acute":"Den latinska storbokstaven c med akut","Latin small letter c with acute":"Den latinska lilla bokstaven c med akut","Latin capital letter c with circumflex":"Den latinska storbokstaven c med omljud","Latin small letter c with circumflex":"Den latinska lilla bokstaven c med circumflex","Latin capital letter c with dot above":"Latinsk huvudbokstav c med punkt ovan","Latin small letter c with dot above":"Den latinska lilla bokstaven c med en punkt ovanför","Latin capital letter c with caron":"Den latinska storbokstaven c med caron","Latin small letter c with caron":"Den latinska lilla bokstaven c med caron","Latin capital letter d with caron":"Latin stor bokstav d med caron","Latin small letter d with caron":"Latin liten bokstav d med caron","Latin capital letter d with stroke":"Latin stor bokstav d med streck","Latin small letter d with stroke":"Latin liten bokstav d med streck","Latin capital letter e with macron":"Latinskt huvudstadbrev e med macron","Latin small letter e with macron":"Den latinska lilla bokstaven e med makron","Latin capital letter e with breve":"Den latinska storbokstaven e med breve","Latin small letter e with breve":"Den latinska lilla bokstaven e med breve","Latin capital letter e with dot above":"Latinsk huvudbokstav e med punkt ovan","Latin small letter e with dot above":"Den latinska lilla bokstaven e med en punkt ovanför","Latin capital letter e with ogonek":"Den latinska storbokstaven e med ogonek","Latin small letter e with ogonek":"Den latinska lilla bokstaven e med ogonek","Latin capital letter e with caron":"Latin stor bokstav e med caron","Latin small letter e with caron":"Den latinska lilla bokstaven e med caron","Latin capital letter g with circumflex":"Den latinska storbokstaven g med omljud","Latin small letter g with circumflex":"Den latinska lilla bokstaven g med omljud","Latin capital letter g with breve":"Den latinska storbokstaven g med breve","Latin small letter g with breve":"Den latinska lilla bokstaven g med breve","Latin capital letter g with dot above":"Latinsk huvudbokstav g med punkt ovan","Latin small letter g with dot above":"Den latinska lilla bokstaven g med en punkt ovanför","Latin capital letter g with cedilla":"Den latinska storbokstaven g med cedilla","Latin small letter g with cedilla":"Den latinska lilla bokstaven g med cedilla","Latin capital letter h with circumflex":"Latinsk huvudbokstav h med circumflex","Latin small letter h with circumflex":"Den latinska lilla bokstaven h med omljud","Latin capital letter h with stroke":"Latin stor bokstav h med streck","Latin small letter h with stroke":"Latin liten bokstav h med streck","Latin capital letter i with tilde":"Den latinska storbokstaven i med tilde","Latin small letter i with tilde":"Den latinska lilla bokstaven i med tilde","Latin capital letter i with macron":"Den latinska storbokstaven i med makron","Latin small letter i with macron":"Den latinska lilla bokstaven i med makron","Latin capital letter i with breve":"Den latinska storbokstaven i med breve","Latin small letter i with breve":"Den latinska lilla bokstaven i med breve","Latin capital letter i with ogonek":"Den latinska storbokstaven i med ogonek","Latin small letter i with ogonek":"Den latinska lilla bokstaven i med ogonek","Latin capital letter i with dot above":"Latinsk stor bokstav i med prick ovanför","Latin small letter dotless i":"latinsk liten bokstav utan punkt i","Latin capital ligature ij":"Latinisk huvudbokstavsligatur ij","Latin small ligature ij":"latinsk liten ligatur ij","Latin capital letter j with circumflex":"Den latinska storbokstaven j med omljud","Latin small letter j with circumflex":"Den latinska lilla bokstaven j med circumflex","Latin capital letter k with cedilla":"Den latinska storbokstaven k med cedilla","Latin small letter k with cedilla":"Den latinska lilla bokstaven k med cedilla","Latin small letter kra":"Den latinska lilla bokstaven kra","Latin capital letter l with acute":"Den latinska storbokstaven l med akut","Latin small letter l with acute":"Den latinska lilla bokstaven l med akut","Latin capital letter l with cedilla":"Den latinska storbokstaven l med cedilla","Latin small letter l with cedilla":"Den latinska lilla bokstaven l med cedilla","Latin capital letter l with caron":"Latin stor bokstav l med caron","Latin small letter l with caron":"Den latinska lilla bokstaven l med caron","Latin capital letter l with middle dot":"Latinsk huvudbokstav l med mittpunkt","Latin small letter l with middle dot":"Latinsk liten bokstav l med mittpunkt","Latin capital letter l with stroke":"Latinska huvudbokstaven l med streck","Latin small letter l with stroke":"Latinska lilla bokstaven l med streck","Latin capital letter n with acute":"Den latinska huvudbokstaven n med akut","Latin small letter n with acute":"Den latinska lilla bokstaven n med akut","Latin capital letter n with cedilla":"Den latinska storbokstaven n med cedilla","Latin small letter n with cedilla":"Den latinska lilla bokstaven n med cedilla","Latin capital letter n with caron":"Den latinska huvudbokstaven n med caron","Latin small letter n with caron":"Den latinska lilla bokstaven n med caron","Latin small letter n preceded by apostrophe":"Den latinska lilla bokstaven n föregås av en apostrof","Latin capital letter eng":"Latinsk stor bokstav eng","Latin small letter eng":"Latin liten bokstav eng","Latin capital letter o with macron":"Den latinska storbokstaven o med makron","Latin small letter o with macron":"Den latinska lilla bokstaven o med makron","Latin capital letter o with breve":"Den latinska storbokstaven o med breve","Latin small letter o with breve":"Den latinska lilla bokstaven o med breve","Latin capital letter o with double acute":"Latinsk huvudbokstav o med dubbel akut","Latin small letter o with double acute":"Den latinska lilla bokstaven o med dubbel spets","Latin capital ligature oe":"Latinsk huvudboksligatur oe","Latin small ligature oe":"Latin liten ligatur oe","Latin capital letter r with acute":"Latinsk huvudbokstav r med akut","Latin small letter r with acute":"Den latinska lilla bokstaven r med akut","Latin capital letter r with cedilla":"Den latinska storbokstaven r med cedilla","Latin small letter r with cedilla":"Den latinska lilla bokstaven r med cedilla","Latin capital letter r with caron":"Latinsk huvudstadbokstav r med caron","Latin small letter r with caron":"Den latinska lilla bokstaven r med caron","Latin capital letter s with acute":"Latinskt huvudbrev s med akut","Latin small letter s with acute":"Den latinska lilla bokstaven s med akut","Latin capital letter s with circumflex":"Den latinska storbokstaven s med circumflex","Latin small letter s with circumflex":"Latinska små bokstäver s med circumflex","Latin capital letter s with cedilla":"Latinsk huvudbokstav s med cedilla","Latin small letter s with cedilla":"Latinska små bokstäver s med cedilla","Latin capital letter s with caron":"Latin stor bokstav s med caron","Latin small letter s with caron":"Latinska små brev s med caron","Latin capital letter t with cedilla":"Den latinska storbokstaven t med cedilla","Latin small letter t with cedilla":"Den latinska lilla bokstaven t med cedilla","Latin capital letter t with caron":"Den latinska storbokstaven t med caron","Latin small letter t with caron":"Den latinska lilla bokstaven t med caron","Latin capital letter t with stroke":"Latin stor bokstav t med streck","Latin small letter t with stroke":"Latin liten bokstav t med streck","Latin capital letter u with tilde":"Den latinska storbokstaven u med tilde","Latin small letter u with tilde":"Den latinska lilla bokstaven u med tilde","Latin capital letter u with macron":"Den latinska storbokstaven u med makron","Latin small letter u with macron":"Den latinska lilla bokstaven u med makron","Latin capital letter u with breve":"Den latinska storbokstaven u med breve","Latin small letter u with breve":"Den latinska lilla bokstaven u med breve","Latin capital letter u with ring above":"Latinsk versalbokstav u med ring ovanför","Latin small letter u with ring above":"Latin liten bokstav u med ring ovanför","Latin capital letter u with double acute":"Den latinska storbokstaven u med dubbel spets","Latin small letter u with double acute":"Den latinska lilla bokstaven u med dubbel spets","Latin capital letter u with ogonek":"Den latinska storbokstaven u med ogonek","Latin small letter u with ogonek":"Den latinska lilla bokstaven u med ogonek","Latin capital letter w with circumflex":"Den latinska storbokstaven w med omljud","Latin small letter w with circumflex":"Den latinska lilla bokstaven w med omljud","Latin capital letter y with circumflex":"Den latinska versalbokstaven y med circumflex","Latin small letter y with circumflex":"Den latinska lilla bokstaven y med circumflex","Latin capital letter y with diaeresis":"Den latinska storbokstaven y med diaeresis","Latin capital letter z with acute":"Den latinska storbokstaven z med akut","Latin small letter z with acute":"Den latinska lilla bokstaven z med akut","Latin capital letter z with dot above":"Latinsk versalbokstav z med punkt ovanför","Latin small letter z with dot above":"Den latinska lilla bokstaven z med en punkt ovanför","Latin capital letter z with caron":"Den latinska storbokstaven z med caron","Latin small letter z with caron":"Den latinska lilla bokstaven z med caron","Latin small letter long s":"Latin liten bokstav lång s","Less-than sign":"Mindre än-tecken","Greater-than sign":"Större än-tecken","Less-than or equal to":"Mindre än eller lika med","Greater-than or equal to":"Större än eller lika med","En dash":"Ett streck","Em dash":"Em streck","Macron":"Macron","Overline":"Överlinje","Degree sign":"Gradbeteckning","Minus sign":"Minustecken","Plus-minus sign":"Plustecken","Division sign":"Tecken på en avdelning","Fraction slash":"Fraktion snedstreck","Multiplication sign":"Multiplikationstecken","Latin small letter f with hook":"Latin liten bokstav f med krok","Integral":"Integrerad","N-ary summation":"N-ständig summering","Infinity":"Oändlighet","Square root":"Kvadratrot","Tilde operator":"Tilde-operatör","Approximately equal to":"Ungefär lika med","Almost equal to":"Nästan lika med","Not equal to":"Inte lika med","Identical to":"Identisk med","Element of":"Element av","Not an element of":"Inte en del av","Contains as member":"Innehåller som medlem","N-ary product":"N-ary produkt","Logical and":"Logisk och","Logical or":"Logisk eller","Not sign":"Inte underteckna","Intersection":"Korsning","Union":"Unionen","Partial differential":"Partiell differential","For all":"För alla","There exists":"Tom uppsättning","Empty set":"Tom uppsättning","Nabla":"Nabla","Asterisk operator":"Asteriskoperatör","Proportional to":"Proportionerligt till","Angle":"Vinkel","Vulgar fraction one quarter":"Vulgärfraktion en fjärdedel","Vulgar fraction one half":"Vulgärfraktion hälften","Vulgar fraction three quarters":"Vulgärfraktion tre fjärdedelar","Single left-pointing angle quotation mark":"Enbart vänsterpekande vinkelhängetecken","Single right-pointing angle quotation mark":"Enbart högerpekande vinkelstämplat citationstecken","Left-pointing double angle quotation mark":"Vänsterpekande dubbelt vinklat citationstecken","Right-pointing double angle quotation mark":"Högerpekande dubbelt vinklat citationstecken","Left single quotation mark":"Vänster enkelt citationstecken","Right single quotation mark":"Höger enkelt citationstecken","Left double quotation mark":"Vänster dubbelt citationstecken","Right double quotation mark":"Höger dubbelt citationstecken","Single low-9 quotation mark":"Enstaka låg-9 citationstecken","Double low-9 quotation mark":"Dubbla låg-9 citationstecken","Inverted exclamation mark":"Inverterat utropstecken","Inverted question mark":"Inverterat frågetecken","Two dot leader":"Två punkts ledare","Horizontal ellipsis":"Horisontell ellips","Double dagger":"Dubbel dolk","Per mille sign":"Per mille sign","Per ten thousand sign":"Per tiotusen tecken","Double exclamation mark":"Dubbelt utropstecken","Question exclamation mark":"Fråga utropstecken","Exclamation question mark":"Utrop frågetecken","Double question mark":"Dubbelt frågetecken","Copyright sign":"Upphovsrättstecken","Registered sign":"Registrerat tecken","Trade mark sign":"Varumärkesskylt","Section sign":"Sektionsskylt","Paragraph sign":"Paragraftecken","Reversed paragraph sign":"Omvänt paragraftecken"},getPluralForm(n){return (n != 1);}}};
e[ 'sv' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'sv' ].dictionary = Object.assign( e[ 'sv' ].dictionary, dictionary );
e[ 'sv' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
