/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'zh-cn' ]: { dictionary, getPluralForm } } = {"zh-cn":{"dictionary":{"Special characters":"特殊字符","Category":"类别","All":"全部","Arrows":"箭头","Currency":"货币","Latin":"拉丁文","Mathematical":"数学","Text":"文本","leftwards simple arrow":"向左简单箭头","rightwards simple arrow":"向右简单箭头","upwards simple arrow":"向上简单箭头","downwards simple arrow":"向下简单箭头","leftwards double arrow":"向左双箭头","rightwards double arrow":"向右双箭头","upwards double arrow":"向上双箭头","downwards double arrow":"向下双箭头","leftwards dashed arrow":"向左虚线箭头","rightwards dashed arrow":"向右虚线箭头","upwards dashed arrow":"向上虚线箭头","downwards dashed arrow":"向下虚线箭头","leftwards arrow to bar":"头部带杠的向左箭头","rightwards arrow to bar":"头部带杠的向右箭头","upwards arrow to bar":"头部带杠的向上箭头","downwards arrow to bar":"头部带杠的向下箭头","up down arrow with base":"处于基线的上下箭头","back with leftwards arrow above":"带有back标识的向左箭头","end with leftwards arrow above":"带有end标识的向左箭头","on with exclamation mark with left right arrow above":"带有NO！标识的左右双向箭头","soon with rightwards arrow above":"带有soon标识的向右箭头","top with upwards arrow above":"带有top标识的向上箭头","Dollar sign":"美元符号","Euro sign":"欧元符号","Yen sign":"日元符号","Pound sign":"英镑符号","Cent sign":"分币符号","Euro-currency sign":"欧元货币符号","Colon sign":"科朗符号","Cruzeiro sign":"克鲁塞罗符号","French franc sign":"法国法郎符号","Lira sign":"里拉符号","Currency sign":"货币符号","Bitcoin sign":"比特币符号","Mill sign":"密尔符号","Naira sign":"奈拉符号","Peseta sign":"比塞塔符号","Rupee sign":"卢比符号","Won sign":"韩元符号","New sheqel sign":"新谢克尔符号","Dong sign":"越南盾符号","Kip sign":" 基普符号","Tugrik sign":"图格里克符号","Drachma sign":"德拉克马符号","German penny sign":"德国便士符号","Peso sign":"比索符号","Guarani sign":"瓜拉尼货币符号","Austral sign":"澳大利亚货币符号","Hryvnia sign":"戈里夫纳符号","Cedi sign":"塞地符号","Livre tournois sign":"里弗尔符号","Spesmilo sign":"斯佩斯米洛符号","Tenge sign":"坚戈符号","Indian rupee sign":"印度卢比符号","Turkish lira sign":"土耳其里拉符号","Nordic mark sign":"北欧马克征符号","Manat sign":"马纳特符号","Ruble sign":"俄罗斯卢布","Latin capital letter a with macron":"带长音符的大写拉丁字母a","Latin small letter a with macron":"带长音符的小写拉丁字母a","Latin capital letter a with breve":"带短音符的大写拉丁字母a","Latin small letter a with breve":"带短音符的小写拉丁字母a","Latin capital letter a with ogonek":"带反尾形符的大写拉丁字母a","Latin small letter a with ogonek":"带反尾形符的小写拉丁字母a","Latin capital letter c with acute":"带锐音符的大写拉丁字母c","Latin small letter c with acute":"带锐音符的小写拉丁字母c","Latin capital letter c with circumflex":"带扬抑符的大写拉丁字母c","Latin small letter c with circumflex":"带扬抑符的小写拉丁字母c","Latin capital letter c with dot above":"带上点的大写拉丁字母c","Latin small letter c with dot above":"带上点的小写拉丁字母c","Latin capital letter c with caron":"带抑扬符的大写拉丁字母c","Latin small letter c with caron":"带抑扬符的小写拉丁字母c","Latin capital letter d with caron":"带抑扬符的大写拉丁字母d","Latin small letter d with caron":"带抑扬符的小写拉丁字母d","Latin capital letter d with stroke":"带删节线的大写拉丁字母d","Latin small letter d with stroke":"带删节线的小写拉丁字母d","Latin capital letter e with macron":"带长音符的大写拉丁字母e","Latin small letter e with macron":"带长音符的小写拉丁字母e","Latin capital letter e with breve":"带短音符的大写拉丁字母e","Latin small letter e with breve":"带短音符的小写拉丁字母e","Latin capital letter e with dot above":"带上点的大写拉丁字母e","Latin small letter e with dot above":"带上点的小写拉丁字母e","Latin capital letter e with ogonek":"带反尾形符的大写拉丁字母e","Latin small letter e with ogonek":"带反尾形符的小写拉丁字母e","Latin capital letter e with caron":"带抑扬符的大写拉丁字母e","Latin small letter e with caron":"带抑扬符的小写拉丁字母e","Latin capital letter g with circumflex":"带扬抑符的大写拉丁字母g","Latin small letter g with circumflex":"带扬抑符的小写拉丁字母g","Latin capital letter g with breve":"带短音符的大写拉丁字母g","Latin small letter g with breve":"带短音符的小写拉丁字母g","Latin capital letter g with dot above":"带上点的大写拉丁字母g","Latin small letter g with dot above":"带上点的小写拉丁字母g","Latin capital letter g with cedilla":"带软音符的大写拉丁字母g","Latin small letter g with cedilla":"带软音符的小写拉丁字母g","Latin capital letter h with circumflex":"带扬抑符的大写拉丁字母h","Latin small letter h with circumflex":"带扬抑符的小写拉丁字母h","Latin capital letter h with stroke":"带删节线的大写拉丁字母h","Latin small letter h with stroke":"带删节线的小写拉丁字母h","Latin capital letter i with tilde":"带腭化符的大写拉丁字母i","Latin small letter i with tilde":"带腭化符的小写拉丁字母i","Latin capital letter i with macron":"带长音符的大写拉丁字母i","Latin small letter i with macron":"带长音符的小写拉丁字母i","Latin capital letter i with breve":"带短音符的大写拉丁字母i","Latin small letter i with breve":"带短音符的小写拉丁字母i","Latin capital letter i with ogonek":"带反尾形符的大写拉丁字母i","Latin small letter i with ogonek":"带反尾形符的小写拉丁字母i","Latin capital letter i with dot above":"带上点的大写拉丁字母i","Latin small letter dotless i":"没有点的小写拉丁字母i","Latin capital ligature ij":"大写拉丁连字符ij","Latin small ligature ij":"小写拉丁连字符ij","Latin capital letter j with circumflex":"带扬抑符的大写拉丁字母j","Latin small letter j with circumflex":"带扬抑符的小写拉丁字母j","Latin capital letter k with cedilla":"带软音符的大写拉丁字母k","Latin small letter k with cedilla":"带软音符的小写拉丁字母k","Latin small letter kra":"小写拉丁字母kra","Latin capital letter l with acute":"带锐音符的大写拉丁字母l","Latin small letter l with acute":"带锐音符的小写拉丁字母l","Latin capital letter l with cedilla":"带软音符的大写拉丁字母l","Latin small letter l with cedilla":"带软音符的小写拉丁字母l","Latin capital letter l with caron":"带抑扬符的大写拉丁字母l","Latin small letter l with caron":"带抑扬符的小写拉丁字母l","Latin capital letter l with middle dot":"带中点的大写拉丁字母l","Latin small letter l with middle dot":"带中点的小写拉丁字母l","Latin capital letter l with stroke":"带删节线的大写拉丁字母l","Latin small letter l with stroke":"带删节线的小写拉丁字母l","Latin capital letter n with acute":"带锐音符的大写拉丁字母n","Latin small letter n with acute":"带锐音符的小写拉丁字母n","Latin capital letter n with cedilla":"带软音符的大写拉丁字母n","Latin small letter n with cedilla":"带软音符的小写拉丁字母n","Latin capital letter n with caron":"带抑扬符的大写拉丁字母n","Latin small letter n with caron":"带抑扬符的小写拉丁字母n","Latin small letter n preceded by apostrophe":"冠以撇号的小写拉丁字母n","Latin capital letter eng":"大写拉丁字母eng","Latin small letter eng":"小写拉丁字母eng","Latin capital letter o with macron":"带长音符的大写拉丁字母o","Latin small letter o with macron":"带长音符的小写拉丁字母o","Latin capital letter o with breve":"带短音符的大写拉丁字母o","Latin small letter o with breve":"带短音符的小写拉丁字母o","Latin capital letter o with double acute":"带双锐音符的大写拉丁字母o","Latin small letter o with double acute":"带双锐音符的小写拉丁字母o","Latin capital ligature oe":"大写拉丁连字符oe","Latin small ligature oe":"小写拉丁连字符oe","Latin capital letter r with acute":"带锐音符的大写拉丁字母r","Latin small letter r with acute":"带锐音符的小写拉丁字母r","Latin capital letter r with cedilla":"带软音符的大写拉丁字母r","Latin small letter r with cedilla":"带软音符的小写拉丁字母r","Latin capital letter r with caron":"带抑扬符的大写拉丁字母r","Latin small letter r with caron":"带抑扬符的小写拉丁字母r","Latin capital letter s with acute":"带锐音符的大写拉丁字母s","Latin small letter s with acute":"带锐音符的小写拉丁字母s","Latin capital letter s with circumflex":"带扬抑符的大写拉丁字母s","Latin small letter s with circumflex":"带扬抑符的小写拉丁字母s","Latin capital letter s with cedilla":"带软音符的大写拉丁字母s","Latin small letter s with cedilla":"带软音符的小写拉丁字母s","Latin capital letter s with caron":"带抑扬符的大写拉丁字母s","Latin small letter s with caron":"带抑扬符的小写拉丁字母s","Latin capital letter t with cedilla":"带软音符的大写拉丁字母t","Latin small letter t with cedilla":"带软音符的小写拉丁字母t","Latin capital letter t with caron":"带抑扬符的大写拉丁字母t","Latin small letter t with caron":"带抑扬符的小写拉丁字母t","Latin capital letter t with stroke":"带删节线的大写拉丁字母t","Latin small letter t with stroke":"带删节线的小写拉丁字母t","Latin capital letter u with tilde":"带腭化符的大写拉丁字母u","Latin small letter u with tilde":"带腭化符的小写拉丁字母u","Latin capital letter u with macron":"带长音符的大写拉丁字母u","Latin small letter u with macron":"带长音符的小写拉丁字母u","Latin capital letter u with breve":"带短音符的大写拉丁字母u","Latin small letter u with breve":"带短音符的小写拉丁字母u","Latin capital letter u with ring above":"带上圆圈的大写拉丁字母u","Latin small letter u with ring above":"带上圆圈的小写拉丁字母u","Latin capital letter u with double acute":"带双锐音符的大写拉丁字母u","Latin small letter u with double acute":"带双锐音符的小写拉丁字母u","Latin capital letter u with ogonek":"带反尾形符的大写拉丁字母u","Latin small letter u with ogonek":"带反尾形符的小写拉丁字母u","Latin capital letter w with circumflex":"带扬抑符的大写拉丁字母w","Latin small letter w with circumflex":"带扬抑符的小写拉丁字母w","Latin capital letter y with circumflex":"带扬抑符的大写拉丁字母y","Latin small letter y with circumflex":"带扬抑符的小写拉丁字母y","Latin capital letter y with diaeresis":"带分音符的大写拉丁字母y","Latin capital letter z with acute":"带锐音符的大写拉丁字母z","Latin small letter z with acute":"带锐音符的小写拉丁字母z","Latin capital letter z with dot above":"带上点的大写拉丁字母z","Latin small letter z with dot above":"带上点的小写拉丁字母z","Latin capital letter z with caron":"带抑扬符的大写拉丁字母z","Latin small letter z with caron":"带抑扬符的小写拉丁字母z","Latin small letter long s":"小写拉丁字母长s","Less-than sign":"小于号","Greater-than sign":"大于号","Less-than or equal to":"小于等于","Greater-than or equal to":"大于等于","En dash":"短破折号","Em dash":"长破折号","Macron":"长音符号","Overline":"上划线","Degree sign":"度数符号","Minus sign":"负号","Plus-minus sign":"正负号","Division sign":"除号","Fraction slash":"分数斜线","Multiplication sign":"称号","Latin small letter f with hook":"带钩的拉丁文小写字母 F","Integral":"积分","N-ary summation":"N 元求和","Infinity":"无穷大","Square root":"平方根","Tilde operator":"波浪线运算符","Approximately equal to":"近似等于","Almost equal to":"约等于","Not equal to":"不等于","Identical to":"恒等于","Element of":"属于","Not an element of":"不属于","Contains as member":"包含","N-ary product":"N 元乘积","Logical and":"逻辑与","Logical or":"逻辑或","Not sign":"非","Intersection":"交集","Union":"并集","Partial differential":"偏微分","For all":"对于全部","There exists":"存在","Empty set":"空集","Nabla":"劈形算符","Asterisk operator":"星号运算符","Proportional to":"比例","Angle":"角","Vulgar fraction one quarter":"普通分数四分之一","Vulgar fraction one half":"普通分数二分之一","Vulgar fraction three quarters":"普通分数四分之三","Single left-pointing angle quotation mark":"单左尖括号","Single right-pointing angle quotation mark":"单右尖括号","Left-pointing double angle quotation mark":"双左尖括号","Right-pointing double angle quotation mark":"双右尖括号","Left single quotation mark":"左单引号","Right single quotation mark":"右单引号","Left double quotation mark":"左双引号","Right double quotation mark":"右双引号","Single low-9 quotation mark":"低位后单引号","Double low-9 quotation mark":"低位后双引号","Inverted exclamation mark":"反感叹号","Inverted question mark":"反问号","Two dot leader":"二点前导符","Horizontal ellipsis":"省略号","Double dagger":"双剑号","Per mille sign":"千分号","Per ten thousand sign":"万分号","Double exclamation mark":"双叹号","Question exclamation mark":"疑问感叹号","Exclamation question mark":"感叹疑问号","Double question mark":"双问号","Copyright sign":"版权符号","Registered sign":"注册商标","Trade mark sign":"商标符号","Section sign":"节标记","Paragraph sign":"段落符号","Reversed paragraph sign":"反向段落符号"},getPluralForm(n){return 0;}}};
e[ 'zh-cn' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'zh-cn' ].dictionary = Object.assign( e[ 'zh-cn' ].dictionary, dictionary );
e[ 'zh-cn' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
