/**
 * @license Copyright (c) 2003-2024, CKSource Holding sp. z o.o. All rights reserved.
 * For licensing, see LICENSE.md or https://ckeditor.com/legal/ckeditor-oss-license
 */

( e => {
const { [ 'zh' ]: { dictionary, getPluralForm } } = {"zh":{"dictionary":{"Special characters":"特殊字元","Category":"類別","All":"所有","Arrows":"箭頭","Currency":"貨幣","Latin":"拉丁字母","Mathematical":"數學","Text":"文字","leftwards simple arrow":"向左簡單箭號","rightwards simple arrow":"向右簡單箭號","upwards simple arrow":"向上簡單箭號","downwards simple arrow":"向下簡單箭號","leftwards double arrow":"向左雙箭頭","rightwards double arrow":"向右雙箭頭","upwards double arrow":"向上雙箭頭","downwards double arrow":"向下雙箭頭","leftwards dashed arrow":"向左虛線箭頭","rightwards dashed arrow":"向右虛線箭頭","upwards dashed arrow":"向上虛線箭頭","downwards dashed arrow":"向下虛線箭頭","leftwards arrow to bar":"向左停止箭頭","rightwards arrow to bar":"向右停止箭頭","upwards arrow to bar":"向上停止箭頭","downwards arrow to bar":"向下停止箭頭","up down arrow with base":"有底線的上下箭號","back with leftwards arrow above":"Back 上方有向左箭號","end with leftwards arrow above":"End 上方有向左箭號","on with exclamation mark with left right arrow above":"帶驚嘆號的 On 上方有左右雙向箭號","soon with rightwards arrow above":"Soon 上方有向右箭號","top with upwards arrow above":"Top 上方有向上箭號","Dollar sign":"貨幣符號","Euro sign":"歐元符號","Yen sign":"日圓符號","Pound sign":"英鎊符號","Cent sign":"美分符號","Euro-currency sign":"歐元貨幣符號","Colon sign":"冒號","Cruzeiro sign":"克魯薩多符號","French franc sign":"法國法郎符號","Lira sign":"里拉符號","Currency sign":"貨幣符號","Bitcoin sign":"比特幣符號","Mill sign":"密爾符號","Naira sign":"奈及利亞奈拉符號","Peseta sign":"比塞塔符號","Rupee sign":"印度盧比符號","Won sign":"圜符號","New sheqel sign":"新謝克爾符號","Dong sign":"盾符號","Kip sign":"基普符號","Tugrik sign":"圖格里克符號","Drachma sign":"得拉克馬符號","German penny sign":"德國便士符號","Peso sign":"披索符號","Guarani sign":"瓜拉尼符號","Austral sign":"奧斯特拉爾符號","Hryvnia sign":"赫伐尼亞符號","Cedi sign":"塞地符號","Livre tournois sign":"里弗爾法鎊符號","Spesmilo sign":"Spesmilo 貨幣符號","Tenge sign":"勘察加幣符號","Indian rupee sign":"印度盧比符號","Turkish lira sign":"土耳其里拉符號","Nordic mark sign":"日耳曼馬克符號","Manat sign":"馬納特符號","Ruble sign":"盧布符號","Latin capital letter a with macron":"拉丁大寫字母 A 帶長音符號","Latin small letter a with macron":"拉丁小寫字母 a 帶長音符號","Latin capital letter a with breve":"拉丁大寫字母 A 帶短音符號","Latin small letter a with breve":"拉丁小寫字母 a 帶短音符號","Latin capital letter a with ogonek":"拉丁大寫字母 A 帶 Ogonek","Latin small letter a with ogonek":"拉丁小寫字母 a 帶 Ogonek","Latin capital letter c with acute":"拉丁大寫字母 C 帶尖音符號","Latin small letter c with acute":"拉丁小寫字母 c 帶尖音符號","Latin capital letter c with circumflex":"拉丁大寫字母 C 帶抑揚符號","Latin small letter c with circumflex":"拉丁小寫字母 c 帶抑揚符號","Latin capital letter c with dot above":"上有一點的拉丁大寫字母 C","Latin small letter c with dot above":"上有一點的拉丁小寫字母 c","Latin capital letter c with caron":"拉丁大寫字母 C 帶上勾符號","Latin small letter c with caron":"拉丁小寫字母 c 帶上勾符號","Latin capital letter d with caron":"拉丁大寫字母 D 帶上勾符號","Latin small letter d with caron":"拉丁小寫字母 d 帶上勾符號","Latin capital letter d with stroke":"拉丁大寫字母 D 帶粗線符號","Latin small letter d with stroke":"拉丁小寫字母 d 帶粗線符號","Latin capital letter e with macron":"拉丁大寫字母 E 帶長音符號","Latin small letter e with macron":"拉丁小寫字母 e 帶長音符號","Latin capital letter e with breve":"拉丁大寫字母 E 帶短音符號","Latin small letter e with breve":"拉丁小寫字母 e 帶短音符號","Latin capital letter e with dot above":"上有一點的拉丁大寫字母 E","Latin small letter e with dot above":"上有一點的拉丁小寫字母 e","Latin capital letter e with ogonek":"拉丁大寫字母 E 帶 Ogonek","Latin small letter e with ogonek":"拉丁小寫字母 e 帶 Ogonek","Latin capital letter e with caron":"拉丁大寫字母 E 帶上勾符號","Latin small letter e with caron":"拉丁小寫字母 e 帶上勾符號","Latin capital letter g with circumflex":"拉丁大寫字母 G 帶抑揚符號","Latin small letter g with circumflex":"拉丁小寫字母 g 帶抑揚符號","Latin capital letter g with breve":"拉丁大寫字母 G 帶短音符號","Latin small letter g with breve":"拉丁小寫字母 g 帶短音符號","Latin capital letter g with dot above":"上有一點的拉丁大寫字母 G","Latin small letter g with dot above":"上有一點的拉丁小寫字母 g","Latin capital letter g with cedilla":"拉丁大寫字母 G 帶下尾符號","Latin small letter g with cedilla":"拉丁小寫字母 g 帶下尾符號","Latin capital letter h with circumflex":"拉丁大寫字母 H 帶抑揚符號","Latin small letter h with circumflex":"拉丁小寫字母 h 帶抑揚符號","Latin capital letter h with stroke":"拉丁大寫字母 H 帶粗線符號","Latin small letter h with stroke":"拉丁小寫字母 h 帶粗線符號","Latin capital letter i with tilde":"拉丁大寫字母 I 帶波狀符號","Latin small letter i with tilde":"拉丁小寫字母 i 帶波狀符號","Latin capital letter i with macron":"拉丁大寫字母 I 帶長音符號","Latin small letter i with macron":"拉丁小寫字母 i 帶長音符號","Latin capital letter i with breve":"拉丁大寫字母 I 帶短音符號","Latin small letter i with breve":"拉丁小寫字母 i 帶短音符號","Latin capital letter i with ogonek":"拉丁大寫字母 I 帶 Ogonek","Latin small letter i with ogonek":"拉丁小寫字母 i 帶 Ogonek","Latin capital letter i with dot above":"上有一點的拉丁大寫字母 I","Latin small letter dotless i":"拉丁小寫字母無點 I","Latin capital ligature ij":"拉丁大寫連字 IJ","Latin small ligature ij":"拉丁小寫連字 ij","Latin capital letter j with circumflex":"拉丁大寫字母 J 帶抑揚符號","Latin small letter j with circumflex":"拉丁小寫字母 j 帶抑揚符號","Latin capital letter k with cedilla":"拉丁大寫字母 K 帶下尾符號","Latin small letter k with cedilla":"拉丁小寫字母 k 帶下尾符號","Latin small letter kra":"拉丁小寫字母 kra","Latin capital letter l with acute":"拉丁大寫字母 L 帶尖音符號","Latin small letter l with acute":"拉丁小寫字母 l 帶尖音符號","Latin capital letter l with cedilla":"拉丁大寫字母 L 帶下尾符號","Latin small letter l with cedilla":"拉丁小寫字母 l 帶下尾符號","Latin capital letter l with caron":"拉丁大寫字母 L 帶上勾符號","Latin small letter l with caron":"拉丁小寫字母 l 帶上勾符號","Latin capital letter l with middle dot":"中間一點的拉丁大寫字母 L","Latin small letter l with middle dot":"中間一點的拉丁小寫字母 l","Latin capital letter l with stroke":"拉丁大寫字母 L 帶粗線符號","Latin small letter l with stroke":"拉丁小寫字母 l 帶粗線符號","Latin capital letter n with acute":"拉丁大寫字母 N 帶尖音符號","Latin small letter n with acute":"拉丁小寫字母 n 帶尖音符號","Latin capital letter n with cedilla":"拉丁大寫字母 N 帶下尾符號","Latin small letter n with cedilla":"拉丁小寫字母 n 帶下尾符號","Latin capital letter n with caron":"拉丁大寫字母 N 帶上勾符號","Latin small letter n with caron":"拉丁小寫字母 n 帶上勾符號","Latin small letter n preceded by apostrophe":"前有撇號的拉丁小寫字母 n","Latin capital letter eng":"拉丁大寫字母 Eng","Latin small letter eng":"拉丁小寫字母 Eng","Latin capital letter o with macron":"拉丁大寫字母 O 帶長音符號","Latin small letter o with macron":"拉丁小寫字母 o 帶長音符號","Latin capital letter o with breve":"拉丁大寫字母 O 帶短音符號","Latin small letter o with breve":"拉丁小寫字母 o 帶短音符號","Latin capital letter o with double acute":"拉丁大寫字母 O 帶雙尖音符號","Latin small letter o with double acute":"拉丁小寫字母 o 帶雙尖音符號","Latin capital ligature oe":"拉丁大寫連字 OE","Latin small ligature oe":"拉丁小寫連字 oe","Latin capital letter r with acute":"拉丁大寫字母 R 帶尖音符號","Latin small letter r with acute":"拉丁小寫字母 r 帶尖音符號","Latin capital letter r with cedilla":"拉丁大寫字母 R 帶下尾符號","Latin small letter r with cedilla":"拉丁小寫字母 r 帶下尾符號","Latin capital letter r with caron":"拉丁大寫字母 R 帶上勾符號","Latin small letter r with caron":"拉丁小寫字母 r 帶上勾符號","Latin capital letter s with acute":"拉丁大寫字母 S 帶尖音符號","Latin small letter s with acute":"拉丁小寫字母 s 帶尖音符號","Latin capital letter s with circumflex":"拉丁大寫字母 S 帶抑揚符號","Latin small letter s with circumflex":"拉丁小寫字母 s 帶抑揚符號","Latin capital letter s with cedilla":"拉丁大寫字母 S 帶下尾符號","Latin small letter s with cedilla":"拉丁小寫字母 s 帶下尾符號","Latin capital letter s with caron":"拉丁大寫字母 S 帶上勾符號","Latin small letter s with caron":"拉丁小寫字母 s 帶上勾符號","Latin capital letter t with cedilla":"拉丁大寫字母 T 帶下尾符號","Latin small letter t with cedilla":"拉丁小寫字母 t 帶下尾符號","Latin capital letter t with caron":"拉丁大寫字母 T 帶上勾符號","Latin small letter t with caron":"拉丁小寫字母 t 帶上勾符號","Latin capital letter t with stroke":"拉丁大寫字母 T 帶粗線符號","Latin small letter t with stroke":"拉丁小寫字母 t 帶粗線符號","Latin capital letter u with tilde":"拉丁大寫字母 U 帶波狀符號","Latin small letter u with tilde":"拉丁小寫字母 u 帶波狀符號","Latin capital letter u with macron":"拉丁大寫字母 U 帶長音符號","Latin small letter u with macron":"拉丁小寫字母 u 帶長音符號","Latin capital letter u with breve":"拉丁大寫字母 U 帶短音符號","Latin small letter u with breve":"拉丁小寫字母 u 帶短音符號","Latin capital letter u with ring above":"拉丁大寫字母 U 帶上圓圈","Latin small letter u with ring above":"拉丁小寫字母 u 帶上圓圈","Latin capital letter u with double acute":"拉丁大寫字母 U 帶雙尖音符號","Latin small letter u with double acute":"拉丁小寫字母 u 帶雙尖音符號","Latin capital letter u with ogonek":"拉丁大寫字母 U 帶 Ogonek","Latin small letter u with ogonek":"拉丁小寫字母 u 帶 Ogonek","Latin capital letter w with circumflex":"拉丁大寫字母 W 帶抑揚符號","Latin small letter w with circumflex":"拉丁小寫字母 w 帶抑揚符號","Latin capital letter y with circumflex":"拉丁大寫字母 Y 帶抑揚符號","Latin small letter y with circumflex":"拉丁小寫字母 y 帶抑揚符號","Latin capital letter y with diaeresis":"拉丁大寫字母 Y 帶分音符號","Latin capital letter z with acute":"拉丁大寫字母 Z 帶尖音符號","Latin small letter z with acute":"拉丁小寫字母 z 帶尖音符號","Latin capital letter z with dot above":"上有一點的拉丁大寫字母 Z","Latin small letter z with dot above":"上有一點的拉丁小寫字母 z","Latin capital letter z with caron":"拉丁大寫字母 Z 帶上勾符號","Latin small letter z with caron":"拉丁小寫字母 z 帶上勾符號","Latin small letter long s":"拉丁小寫字母長 s","Less-than sign":"小於符號","Greater-than sign":"大於符號","Less-than or equal to":"小於或等於","Greater-than or equal to":"大於或等於","En dash":"短破折號","Em dash":"長破折號","Macron":"長音符號","Overline":"頂線","Degree sign":"度符號","Minus sign":"減號","Plus-minus sign":"加減符號","Division sign":"除號","Fraction slash":"分數斜線","Multiplication sign":"乘號","Latin small letter f with hook":"帶鉤的拉丁小寫字母 f","Integral":"積分","N-ary summation":"N 元總合","Infinity":"無限","Square root":"平方根","Tilde operator":"波狀符號運算子","Approximately equal to":"約等於","Almost equal to":"幾乎等於","Not equal to":"不等於","Identical to":"恆等於","Element of":"屬於","Not an element of":"不屬於","Contains as member":"包含","N-ary product":"N 元乘積","Logical and":"邏輯 And","Logical or":"邏輯 Or","Not sign":"Not 符號","Intersection":"交集","Union":"聯集","Partial differential":"偏微分","For all":"對於所有","There exists":"存在","Empty set":"空集合","Nabla":"倒三角算子","Asterisk operator":"星號運算子","Proportional to":"正比於","Angle":"角度","Vulgar fraction one quarter":"普通分數四分之一","Vulgar fraction one half":"普通分數二分之一","Vulgar fraction three quarters":"普通分數四分之三","Single left-pointing angle quotation mark":"單左尖角括號","Single right-pointing angle quotation mark":"單右尖角括號","Left-pointing double angle quotation mark":"左尖雙角括號","Right-pointing double angle quotation mark":"右尖雙角括號","Left single quotation mark":"左單引號","Right single quotation mark":"右單引號","Left double quotation mark":"左雙引號","Right double quotation mark":"右雙引號","Single low-9 quotation mark":"單下 9 形引號","Double low-9 quotation mark":"雙下 9 形引號","Inverted exclamation mark":"倒驚嘆號","Inverted question mark":"倒問號","Two dot leader":"兩點前置字元","Horizontal ellipsis":"水平省略符號","Double dagger":"雙劍註釋符號","Per mille sign":"千分號","Per ten thousand sign":"萬分號","Double exclamation mark":"雙驚嘆號","Question exclamation mark":"疑問驚嘆號","Exclamation question mark":"驚嘆疑問號","Double question mark":"雙問號","Copyright sign":"版權符號","Registered sign":"註冊商標符號","Trade mark sign":"商標符號","Section sign":"章節符號","Paragraph sign":"段落符號","Reversed paragraph sign":"反段落符號"},getPluralForm(n){return 0;}}};
e[ 'zh' ] ||= { dictionary: {}, getPluralForm: null };
e[ 'zh' ].dictionary = Object.assign( e[ 'zh' ].dictionary, dictionary );
e[ 'zh' ].getPluralForm = getPluralForm;
} )( window.CKEDITOR_TRANSLATIONS ||= {} );
